2010-11-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/primitives.lisp: Work around Closure CL compiler bug.

2010-11-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/Makefile.in: Fix build with GCL.

2010-11-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/kl.spad.pamphlet, src/interp/i-syscmd.boot,
	src/interp/primitives.lisp: Correct saving of kernels.

2010-11-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/Makefile.in, src/lisp/Makefile.in: More
	thorough cleaning.

2010-11-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/input/Makefile.in: Fix breakage due to r. 945.

2010-11-11  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-syscmd.boot: spadClosure?: Stricter
	check for Spad closures.

2010-11-11  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/fspace.spad.pamphlet: Run not found case only
	when needed.

2010-11-08  Martin Rubey  <martin.rubey@math.uni-hannover.de>

	* contrib/emacs/Makefile.in: allow arguments to efricas

2010-11-03  Martin Baker <ax87438@martinb.com>

	Add new graphic framework.
	* src/algebra/scene.spad.pamphlet: New file
	src/algebra/Makefile.in, src/algebra/boo-cat.input,
	src/algebra/boo-dom1.input, src/algebra/boo-pack2.input:
	Adjust.

2010-11-03  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/combfunc.spad.pamphlet: Add special convertions
	to input form.

2010-11-02  Elias Pipping

	* Makefile.in: Separate install-contrib and install-src targets.

2010-10-30  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-toplev.boot: Try '.fricas.input' before
	'.axiom.input'.
	src/interp/int-top.boot, src/interp/util.lisp: Run
	init file after initializing algebra output.

2010-10-29  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/gaussian.spad.pamphlet: Fix branches for
	atan, asin and acos.

2010-10-29  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/util.lisp: Fix build with recent ECL.

2010-10-29  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* configure.ac, src/lib/gmp_wrap.c: Support GMP with sbcl
	for 32-bit machines.

2010-10-29  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/weier.spad.pamphlet: Fix and clean up.

2010-10-29  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/mts.spad.pamphlet: Give 0 for coefficients
	after end of stream.

2010-10-21  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/elfuts.spad.pamphlet: Better series expanders
	for elliptic functions.
	src/input/elfuts.input.pamphlet,
	src/input/mantepse.input.pamphlet: Update.


2010-10-21  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/input/ellip.input.pamphlet: New test file.
	src/input/Makefile.in: Adjust.

2010-10-21  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/fspace.spad.pamphlet: Fix 'belong?' in FS and ES.
	src/algebra/combfunc.spad.pamphlet: Remove workaround.

2010-10-19  Martin Rubey  <martin.rubey@math.uni-hannover.de>

	* contrib/emacs/fricas.el: repair fricas-up-input

2010-10-18  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/combfunc.spad.pamphlet,
	src/algebra/expr.spad.pamphlet,
	src/algebra/op.spad.pamphlet,
	src/algebra/trigcat.spad.pamphlet: Add a bunch of special
	functions.

2010-10-18  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/fs2expxp.spad.pamphlet,
	src/algebra/fs2ups.spad.pamphlet,
	src/algebra/limitps.spad.pamphlet: Change strings to
	symbols.

2010-10-18  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/elfuts.spad.pamphlet: Use parameter instead of
	modulus as argument to elliptic functions.

2010-10-17  Martin Rubey  <martin.rubey@math.uni-hannover.de>

	* contrib/emacs/fricas.el: improve startup and handling of
	multiline input

2010-10-13  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/info.boot: Fix a bug with conditional type info.

2010-10-13  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/manip.spad.pamphlet,
	patching file src/interp/c-util.boot: Misc cleanups.

2010-10-13  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/clifford.spad.pamphlet,
	src/algebra/combfunc.spad.pamphlet,
	src/algebra/dirichlet.spad.pamphlet,
	src/algebra/export3D.spad.pamphlet,
	src/algebra/fspace.spad.pamphlet,
	src/algebra/intef.spad.pamphlet,
	src/algebra/integrat.spad.pamphlet,
	src/algebra/numarr.spad.pamphlet,
	src/algebra/rec.spad.pamphlet,
	src/algebra/tensor.spad.pamphlet: Whitespace cleanup.

2010-10-12  Martin Rubey  <martin.rubey@math.uni-hannover.de>

	* contrib/emacs/fricas.el: add LaTeX error handling to
	fricas-insert-TeX

2010-10-05  Martin Rubey  <martin.rubey@math.uni-hannover.de>

	* src/algebra/combfunc.spad.pamphlet,
	src/algebra/op.spad.pamphlet: hypergometric -> hypergeometric

2010-10-04  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/combfunc.spad.pamphlet,
	src/algebra/expr.spad.pamphlet,
	src/algebra/fspace.spad.pamphlet,
	src/algebra/op.spad.pamphlet,
	src/algebra/trigcat.spad.pamphlet: Add hypergeometric and Meijer
	functions.

2010-10-04  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/nruncomp.boot, src/interp/nrunfast.boot:
	Handle functions conditioned on %.

2010-10-04  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/liouv.spad.pamphlet: Fix dilog(1).

2010-09-28  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Fixes SF 2536411.
	* src/algebra/efstruc.spad.pamphlet,
	src/algebra/integrat.spad.pamphlet,
	src/algebra/liouv.spad.pamphlet,
	src/algebra/op.spad.pamphlet: Better normaliztion of
	Liouvillian functions.

2010-09-28  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/efstruc.spad.pamphlet,
	src/algebra/integrat.spad.pamphlet: Normalize trigonometric
	constants.

2010-09-23  Aleksej Saushev  <asau@inbox.ru>

	* src/hyper/Makefile.in, src/sman/Makefile.in,
	src/graph/viewman/Makefile.in, src/lib/Makefile.in,
	src/lisp/Makefile.in, src/clef/Makefile.in:
	Don't spread textual substitutions all over the text.


2010-09-22  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Bignums via gmp in sbcl.
	* num_sb.lisp, gmp_wrap.c: New files.
	src/interp/util.lisp, src/lisp/fricas-lisp.lisp: Call
	new functions.
	configure.ac, src/lib/Makefile.in, src/lisp/Makefile.in: Adjust.

2010-09-22  Gabriel Dos Reis  <gdr@cs.tamu.edu>
	    patch identified by
	    Alfredo Portes  <doyenatccny@gmail.com>

	* src/interp/int-top.boot: Eliminate double prompt at
	startup.

2010-09-22  Aleksej Saushev  <asau@inbox.ru>

	* src/scripts/mkdist.sh: Simplify removal of ".svn"
	subdirectories.

2010-09-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/defaults.spad.pamphlet,
	src/algebra/sets.spad.pamphlet,
	src/algebra/array1.spad.pamphlet: Improve sort and set
	operations.

2010-09-11  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/combfunc.spad.pamphlet,
	src/algebra/op.spad.pamphlet,
	src/algebra/trigcat.spad.pamphlet,
	src/algebra/expr.spad.pamphlet: Add Weierstrass elliptic
	functions.

2010-09-11  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/intaf.spad.pamphlet: Integration improvement.

2010-09-11  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/compiler.boot: Add '$tryRecompileArguments' flag.
	src/algebra/mantepse.spad.pamphlet: Use it, adjust.

2010-09-09  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/intef.spad.pamphlet: Split integrals involving
	multiple square roots (fixes SF 2928663).

2010-09-09  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/combfunc.spad.pamphlet,
	src/algebra/op.spad.pamphlet,
	src/algebra/trigcat.spad.pamphlet,
	src/algebra/expr.spad.pamphlet: Add polylog.

2010-09-09  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/manip.spad.pamphlet: Replace strings by
	symbols.

2010-07-20  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/nrunfast.boot, src/interp/nruncomp.boot,
	src/interp/nrunopt.boot, src/interp/category.boot,
	src/interp/wi2.boot, src/interp/nrungo.boot,
	src/interp/Makefile.in, src/interp/primitives.lisp,
	src/interp/interop.boot, src/interp/simpbool.boot,
	src/interp/setq.lisp, src/interp/macros.lisp,
	src/interp/define.boot, src/interp/spad.lisp: Misc
	cleanups, merge ggreater.lisp into macros.lisp.
	ggreater.lisp : remove.

2010-07-20  Ralf Hemmecke  <ralf@hemmecke.de>

	* src/algebra/exposed.lsp.pamphlet,
	src/algebra/ideal.spad.pamphlet,src/algebra/idecomp.spad.pamphlet,
	src/algebra/qalgset.spad.pamphlet, src/hyper/pages/ug08.ht,
	src/share/algebra/command.list, src/share/algebra/topics.data:
	Rename PolynomialIdeals to PolynomialIdeal

2010-07-19  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/combfunc.spad.pamphlet,
	src/algebra/op.spad.pamphlet,
	src/algebra/trigcat.spad.pamphlet,
	src/algebra/expr.spad.pamphlet: Add derivatives of
	Airy functions and Lambert W.

2010-07-09  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/algebra/fs2expxp.spad.pamphlet,
	src/algebra/fs2ups.spad.pamphlet: make ATANFLAG into a union type
	and correct bugs (typos) in fs2expxp.

2010-07-08  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/input/mantepse.input.pamphlet: Exhibit failure in RECOP.

2010-07-08  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/fspace.spad.pamphlet: Allow application
	of operators to up to 9 arguments.

2010-07-08  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Fix problem in remove__denoms.
	* src/algebra/vecrec.spad.pamphlet: remove__denoms(): Fix
	initialization of result of division.

2010-07-07  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/input/unittest.spad.pamphlet: remove wrong reference to
	mantepse and exposure of RECOP.

2010-06-30  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/dirichlet.spad.pamphlet: Add count argument to
	'additive?' and 'multiplicative?'.
	Minor adjustments.

2010-06-29  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/algebra/dirichlet.spad.pamphlet,
	src/input/dirichlet.input.pamphlet: add domain for computing in
	the Dirichlet ring.

	* contrib/emacs/fricas.el:  add < and > as punctuation to the
	syntax table.

2010-06-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/ncomp.boot: walkForm(): Print error
	message instead of invoking debugger.

2010-06-23  Martin Baker <ax87438@martinb.com>

	Support graphic export in Wavefront .obj format.
	* src/algebra/export3d.spad.pamphlet: New file.
	src/algebra/Makefile.in, src/algebra/boo-dom1.input:
	Adjust.

2010-06-21  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/c-util.boot, src/interp/compiler.boot
	src/interp/define.boot, src/interp/format.boot,
	src/interp/functor.boot, src/interp/g-opt.boot,
	src/interp/i-eval.boot, src/interp/i-funsel.boot,
	src/interp/i-intern.boot, src/interp/interop.boot,
	src/interp/i-output.boot, src/interp/msgdb.boot,
	src/interp/newfort.boot: Misc error corrections
	and improvements for problems uncovered by Shoe.

2010-06-21  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/apply.boot, src/interp/buildom.boot,
	src/interp/format.boot, src/interp/i-intern.boot,
	src/interp/i-map.boot, src/interp/i-output.boot,
	src/interp/i-spec2.boot, src/interp/pspad1.boot,
	src/interp/wi1.boot, src/interp/wi2.boot:
	Shoe keywords as symbols need "".

2010-06-21  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/*.boot: Add ')package' declarations.

2010-06-19  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/nrunfast.boot, src/interp/bootfuns.lisp
	src/interp/nlib.lisp, src/interp/patches.lisp,
	src/interp/slam.boot, src/interp/debug.lisp,
	src/interp/br-saturn.boot, src/interp/i-syscmd.boot,
	src/interp/comp.lisp, src/interp/pathname.boot,
	src/interp/setq.lisp, src/interp/g-boot.boot,
	src/interp/macros.lisp, src/interp/vmlisp.lisp:
	Misc cleanups.

2010-06-19  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/g-timer.boot: Faster timing routine.

2010-06-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Add domains for machine precision numeric vectors and
	matrices.
	* src/algebra/numarr.spad.pamphlet: New file
	src/algebra/boo-dom1.input, src/algebra/Makefile.in: Adjust.
	src/interp/primitives.lisp: Add new primitives.

2010-06-17  Martin Baker <ax87438@martinb.com>

	* src/algebra/html.spad.pamphlet: New file
	src/algebra/boo-dom1.input, src/algebra/Makefile.in
	src/interp/setvars.boot, src/interp/setvart.boot
	src/interp/i-output.boot: Add HTML output format.

2010-06-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/scripts/document.in, src/interp/patches.lisp,
	src/interp/setvars.boot, src/interp/msg.boot,
	src/interp/i-output.boot, src/interp/g-boot.boot,
	src/interp/vmlisp.lisp: Misc cleanups.

2010-06-16  Martin Rubey  <martin.rubey@univie.ac.at>

	* contrib/emacs/fricas.el: correct fricas-marker-format-function
	so that startTypeTime is correctly recognized.  (tested with sbcl
	only)

	* contrib/emacs/fricas.el: also set text-properties of final bit
	when restoring history, add = as punctuation to the syntax table.

2010-06-11  Martin Rubey  <martin.rubey@univie.ac.at>

	* contrib/emacs/Makefile.in: add missing $ for auto-mode-alist.
	It should actually be \\', but I was to lazy to look up how to
	escape ' in bash.

2010-06-09  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/ore.spad.pamphlet: Faster multiplication
	in Ore algebras.

2010-06-04  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/oct.spad.pamphlet,
	src/hyper/htinp.c, src/interp/comp.lisp,
	src/interp/macros.lisp, src/interp/define.boot: Minor cleanups.

2010-06-01  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/input/lodof.input.pamphlet: convert to unittesting facility,
	add another currently failing test

	* src/input/mantepse.input.pamphlet: remove useless computation.

2010-05-31  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/efstruc.spad.pamphlet: Try to simplify
	logarithms of algebraic constants.

2010-04-28  Martin Rubey  <martin.rubey@univie.ac.at>

	* contrib/emacs/fricas.el: correct syntax table.

2010-04-11  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/input/bugs2010.input.pamphlet: exhibit failuire in coercion
	code when types with constant parameters are involved.

2010-04-08  Martin Rubey  <martin.rubey@math.uni-hannover.de>

	* contrib/emacs/fricas.el: add requirements for tab completion of
	file names.

2010-04-07  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/lib/sockio-c.c, src/include/sockio-c.H1,
	src/sman/sman.c: Shorten startup/shutdown delays.

2010-04-07  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Fix problem with building graphic examples.
	* src/algebra/view3D.spad.pamphlet: makeViewport3D(): Do
	not trash old viewport.
	src/algebra/view2D.spad.pamphlet: makeViewport2D(): Likewise.
	src/hyper/pages/ug07.ht, src/input/mobius.input: Close
	viewports.

2010-03-30  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Misc (mostly whitespace) cleanup.
	* src/include/htadd.H1, src/include/session.H1,
	src/include/sman.H1, src/include/spadbuf.H1,
	src/include/spadclient.H1, src/include/useproto.h: Remove.
	src/clef/edible.c, src/graph/*/*, src/hyper/*,
	src/include/*, src/lib/*, src/sman/*,
	src/interp/primitives.lisp, src/interp/clammed.boot:
	Whitespace cleanup. Clean up header formatting.  Move
	static declarations form headers to corresponding files.
	Makefile.in, src/algebra/Makefile.in, src/interp/Makefile.in:
	Clean up.
	src/sman/Makefile.in, src/graph/Gdraws/Makefile.in,
	src/clef/Makefile.in: Adjust.

2010-03-30  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/algebra/mantepse.spad.pamphlet,
	src/input/mantepse.input.pamphlet: cleanup options for checking
	solutions.

2010-03-27  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/modmonom.spad.pamphlet,
	src/algebra/modhpsol.spad.pamphlet,
	src/interp/i-util.boot, src/interp/parsing.lisp,
	src/interp/patches.lisp, src/interp/ht-util.boot,
	src/interp/server.boot, src/interp/util.lisp,
	src/interp/i-spec2.boot, src/interp/g-opt.boot,
	src/interp/setq.lisp, src/interp/format.boot,
	src/interp/i-eval.boot, src/boot/typrops.boot: Misc cleanups.
	src/interp/osyscmd.boot: Remove, move content to
	src/interp/i-syscmd.boot.
	src/interp/Makefile.in: Adjust.

2010-03-27  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Fix problem with passing interpreted functions to algebra.
	* src/interp/i-toplev.boot: interpret1(): Always evaluate.
	Remove '$eval' variable.
	src/interp/i-map.boot: Likewise.

2010-03-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
	    Ralf Hemmecke  <ralf@hemmecke.de>

	* Makefile.in: Remove support for bundling gcl.
	configure.ac: Likewise, cleanup.

2010-03-22  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/catdef.spad.pamphlet,
	src/algebra/tensor.spad.pamphlet,
	src/algebra/unittest.spad.pamphlet,
	src/algebra/clifford.spad.pamphlet,
	src/algebra/rec.spad.pamphlet,
	src/algebra/multpoly.spad.pamphlet,
	src/algebra/float.spad.pamphlet,
	src/algebra/permgrps.spad.pamphlet,
	src/algebra/vector.spad.pamphlet: Whitespace cleanup.

2010-03-22  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/multsqfr.spad.pamphlet,
	src/algebra/multfact.spad.pamphlet: Remove useless imports.

2010-03-21  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/draw.spad.pamphlet: draw(): Explicitely
	turn "title" into symbol.

2010-03-21  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/liouv.spad.pamphlet,
	src/algebra/op.spad.pamphlet,
	src/algebra/trigcat.spad.pamphlet,
	src/algebra/expr.spad.pamphlet,
	src/algebra/limitps.spad.pamphlet: Add Fresnel integrals.

2010-03-21  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/draw.spad.pamphlet,
	src/algebra/fs2expxp.spad.pamphlet,
	src/algebra/quat.spad.pamphlet,
	src/algebra/fs2ups.spad.pamphlet,
	src/algebra/mantepse.spad.pamphlet,
	src/algebra/fr.spad.pamphlet,
	src/algebra/oct.spad.pamphlet,
	src/algebra/limitps.spad.pamphlet: Replace strings
	by symbols.

2010-03-21  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/clip.spad.pamphlet,
	src/algebra/view2D.spad.pamphlet
	src/graph/view2D/viewport2D.c: Plotting fixes.

2010-03-20  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/graph/view2D/header2.h, src/graph/view2D/viewport2D.c:
	Misc cleanups.

2010-03-16  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/c-util.boot, src/interp/setq.lisp: Recognize
	constructors as side effect free.

2010-03-14  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/input/mantepse.input.pamphlet: more (failing) tests
	concerning handling of options.

	* src/algebra/mantepse.spad.pamphlet,
	src/input/mantepse.input.pamphlet: fix problem with Somos==true
	and rewrite option handling, more tests.

2010-03-13  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/input/mantepse.input.pamphlet: Somos==true is not working
	correctly, Somos and maxPower==1 should throw an error.

	* src/algebra/unittest.spad.pamphlet: fix handling of unexpected
	pass in xftestLibraryError.

	* src/input/unittest.input.pamphlet, src/input/Makefile.in: test
	unittesting facility. (1 failure!)

	* src/input/mantepse.input.pamphlet: Somos==true is not working
	correctly, Somos and maxPower==1 should throw an error.

2010-03-11  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/permgrps.spad.pamphlet: Restructure and
	speed up.

2010-02-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	New parser for Spad compiler.
	* src/interp/s-parser.lisp: New file.
	src/interp/parsing.lisp, src/interp/postpar.boot,
	src/interp/macros.lisp, src/interp/Makefile.in,
	src/interp/util.lisp, src/interp/bootlex.lisp: Adjust.
	src/interp/newaux.lisp, src/interp/fnewmeta.lisp,
	src/interp/fnew.meta: Remove.

2010-02-20  Ralf Hemmecke  <ralf@hemmecke.de>

	* src/interp/g-error.boot, src/interp/setvart.boot,
	src/interp/spaderror.lisp, src/lisp/fricas-package.lisp: introduce
	new ')set breakmode quit' which quits on error with non-zero exit
	code

2010-02-20  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/mfinfact.spad.pamphlet,
	src/algebra/twofact.spad.pamphlet: Try to avoid field
	extensions during factorization.

2010-02-20  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/vecrec.spad.pamphlet,
	src/algebra/u32vec.spad.pamphlet: Spent less time in
	rational reconstruction.

2010-02-20  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/listgcd.spad.pamphlet: localgcd(): Use
	heuristic gcd also for high degree.

2010-02-18  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/algebra/ssolve.spad.pamphlet: do not evaluate coefficients
	too eagerly.

	* src/algebra/mantepse.spad.pamphlet: delete unused line.

2010-02-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-coerfn.boot: Faster coercions for univariate
	polynomials.

2010-02-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-coerce.boot, src/interp/setq.lisp
	src/interp/clammed.boot: Cache function lookups
	during coercions.

2010-02-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/poly.spad.pamphlet: Faster polynomial
	multiplication in commutative case.

2010-02-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/multpoly.spad.pamphlet: Faster 'univariate'.

2010-02-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/polycat.spad.pamphlet: Faster 'map' for
	univariate polynomials.

2010-02-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/indexedp.spad.pamphlet: Faster polynomial
	addition.

2010-02-16  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Faster interpreter coercion.
	* src/interp/i-coerce.boot: coerceRetract(): Remove useless
	code.
	findRetractMms1(): Separate from retractByFunction().
	src/interp/setq.lisp, src/interp/clammed.boot: Memoize
	findRetractMms() and getConstantFromDomain().

2010-02-16  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/poly.spad.pamphlet: Faster coefficient.

2010-02-15  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-coerfn.boot: Sy2OV(): Detect failing
	coercion.

2010-02-15  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/buildom.boot, src/interp/i-coerce.boot:
	Faster coercion for unions.

2010-02-14  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/multpoly.spad.pamphlet: Compute monomials
	faster.

2010-02-14  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/u32vec.spad.pamphlet: Speed up gcd when
	degrees of arguments differ a lot.

2010-02-10  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/algebra/mantepse.spad.pamphlet,
	src/input/mantepse.input.pamphlet: add Somos option, add
	checkOption, clean up guessADE/guessRec/guessFE.

2010-02-08  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/algebra/unittest.spad.pamphlet: add colon to warnings.

2010-02-08  Martin Rubey  <martin.rubey@math.uni-hannover.de>

	* src/algebra/mantepse.spad.pamphlet: beautify debugging messages,
	fix documentation typos.

	* src/algebra/mantepse.spad.pamphlet,
	src/algebra/modhpsol.spad.pamphlet,
	src/input/mantepse.input.pamphlet: check solutions also when
	guessing over prime fields, allow polynomials over prime fields as
	coefficients.

	* src/algebra/intfact.spad.pamphlet: prime?(): do the right thing:
	really ignore sign when deciding if number is prime.

2010-02-08  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/input/mantepse.input.pamphlet: add test to see whether
	checking is done for guessing over prime fields, and whether
	guessing polynomials with algebraic coefficients works.

2010-02-08  Francois Maltey <fmaltey@nerim.fr>
	    Martin Rubey  <martin.rubey@univie.ac.at>

	Add VectorSpaceBasis domain.
	* src/algebra/vsbasis.spad.pamphlet,
	src/input/vsbasis.input.pamphlet: New files.
	src/algebra/boo-dom2.input, src/algebra/Makefile.in,
	src/input/Makefile.in: Adjust.

2010-02-08  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Fix for 'has' test.
	* src/interp/nrunfast.boot: lazyMatch(): Test for another
	form of LENGTH.

2010-02-08  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
	    Martin Rubey  <martin.rubey@univie.ac.at>

	* src/algebra/intfact.spad.pamphlet: prime?(): Ignore sign
	when deciding if number is prime.
	src/algebra/numtheor.spad.pamphlet: Adjust.

2010-02-07  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/transsolve.spad.pamphlet: Use linear solver
	for linear systems of expressions.
	src/algebra/solvelin.spad.pamphlet: Export intoMatrix.

2010-02-07  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/ore.spad.pamphlet,
	src/algebra/poly.spad.pamphlet: Remove wrong duplicate definitions
	of '^'.

2010-02-07  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/algebra/catdef.spad.pamphlet: add default implementation for
	convert()@INFORM to Finite.

	* src/input/mantepse.input.pamphlet: add package call to make
	guessing over AN succeed.  Add test demonstrating bad gcd in
	GUESSP with four variables.

	* src/algebra/aggcat.spad.pamphlet,
	src/algebra/catdef.spad.pamphlet, src/algebra/lodof.spad.pamphlet,
	src/algebra/mring.spad.pamphlet, src/algebra/vector.spad.pamphlet:
	create default definition for random in Finite and use it.

	* src/input/finite.input.pamphlet: new testsuite testing that
	lookup and index are inverses in domains with Finite.

2010-02-05  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/algebra/vector.spad.pamphlet: add missing operations for
	DirectProductCategory when Finite.

2010-02-04  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/listgcd.spad.pamphlet,
	src/algebra/pgcd.spad.pamphlet,
	src/algebra/u32vec.spad.pamphlet,
	src/algebra/poly.spad.pamphlet,
	src/interp/primitives.lisp: Faster polynomial gcd.

2010-02-04  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/modhpsol.spad.pamphlet:
	naiveBeckermannLabahnMultipoint(): Add sanity test.

2010-02-04  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* Makefile.in: Correct typo.

2010-02-03  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-funsel.boot: constructSubst(): Make more
	efficient by using prebuild argument markers.

2010-01-31  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/float.spad.pamphlet: Compute e faster.

2010-01-30  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/algebra/unittest.spad.pamphlet: cleanup, report unexpected
	passes.

	* src/input/mantepse.input.pamphlet: add another test exhibiting a
	wrong simplification in RECOP.

2010-01-29  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/input/mantepse.input.pamphlet: add tests for guessing over
	prime field.

	* src/algebra/ssolve.spad.pamphlet: correct types in testcases and
	add another test.

2010-01-28   Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/taylor.spad.pamphlet: revert(): Handle
	series with coefficient of 'x' not equal to 1.

2010-01-28   Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/catdef.spad.pamphlet,
	src/algebra/naalgc.spad.pamphlet,
	src/algebra/opalg.spad.pamphlet,
	src/algebra/trigcat.spad.pamphlet: Remove commented out code.

2010-01-28   Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Avoid too long argument lists when concatenating strings.
	* src/interp/macros.lisp: replaceString(): New function.
	src/interp/g-util.boot: concatenateStringList(): New
	function, use replaceString.
	src/interp/bc-solve.boot, src/interp/ht-util.boot,
	src/interp/pspad1.boot, src/interp/br-saturn.boot,
	src/interp/i-output.boot, src/interp/i-toplev.boot:
	Use concatenateStringList.

2010-01-27  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/hyper/lex.c: reset_connection(): Avoid crash
	writing to constant string.

2010-01-27  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/nlib.lisp, src/interp/util.lisp,
	src/interp/macros.lisp, src/interp/vmlisp.lisp,
	src/lisp/fricas-lisp.lisp, src/lisp/fricas-package.lisp:
	Partial support for Poplog.

2010-01-26  Martin Rubey  <martin.rubey@math.uni-hannover.de>

	* src/algebra/numtheor.spad.pamphlet: carmichaelLambda():
	New function.

2010-01-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/patches.lisp: eval(): Suppress compiler
	warnings.

2010-01-23  Martin Baker <ax87438@martinb.com>

	* src/algebra/clifford.spad.pamphlet: Support Clifford
	algebra corresponding to non-diagonal matrix, add new
	operations.

2010-01-16  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/Makefile.in: stamp_fasls: Avoid compilation
	on second run.

2010-01-13  Martin Rubey  <martin.rubey@math.uni-hannover.de>

	* src/algebra/mantepse.spad.pamphlet: add missing negations in
	preccheck, so checks are skipped only when we want that, move
	documentation out of functions and use consistent spacing

2010-01-12  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/algebra/mantepse.spad.pamphlet: remove redundant remainder
	computations (and some tabs), add a series of transcendentals to
	the testing series in checkInterpolant, test for reject_one_term
	at the right place, add possibility to skip checkInterpolant,
	remove heuristic tests from wrapInterpolant

	* src/input/mantepse.input.pamphlet: add test for termination

2010-01-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/lodo.spad.pamphlet:
	LinearOrdinaryDifferentialOperatorsOps(): remove wrong import.

2010-01-11  Martin Rubey  <martin.rubey@math.uni-hannover.de>

	* src/input/isprime.input.pamphlet: more tests from Zhenxiang
	Zhang

	* src/input/isprime.input.pamphlet: convert to unittesting
	facility, add Arnault's attack

2010-01-09  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/unittest.spad.pamphlet: Support expected
	failures.
	src/input/bugs2009.input.pamphlet,
	src/input/bugs2007.input.pamphlet: Adjust.

2010-01-08  Rainer Joswig <joswig@lisp.de>

	* configure.ac, config.lisp, src/scripts/document.in,
	src/interp/nlib.lisp, src/interp/util.lisp,
	src/interp/macros.lisp, src/interp/vmlisp.lisp,
	src/lisp/Makefile.in, src/lisp/fricas-lisp.lisp:
	Support build with Lispworks.

2010-01-08  Rainer Joswig <joswig@lisp.de>

	* src/lisp/fricas-lisp.lisp: save-core-restart(): Use default
	location of Closure CL kernel.

2010-01-04  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/algebra/ssolve.spad.pamphlet: use a stream of distinct
	transcendental elements
	* src/algebra/Makefile.in, src/algebra/Makenotes.tex,
	src/algebra/rec.spad.pamphlet, src/input/Makefile.in: adjust

2009-12-20  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/ffcat.spad.pamphlet: Update comments.

2009-12-20  Aleksej Saushev  <asau@inbox.ru>

	* src/hyper/addfile.c: strpostfix(): Simplify, works
	around build problem on NetBSD.

2009-12-20  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Fixed miscompilation of record constructor.
	* src/interp/compiler.boot: simpleCall(): do not
	try to optimize 'mkRecord'.

2009-12-18  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* rc/interp/int-top.boot: executeInterpreterCommand(): Use
	setCurrentLine instead of ncSetCurrentLine.

2009-12-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/u32vec.spad.pamphlet: mul(): Correct
	test for zero polynomial.

2009-12-09  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/sf.spad.pamphlet, src/interp/primitives.lisp:
	Faster DoubleFloat computations.

2009-12-06  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Faster polynomial multiplication.
	* src/algebra/poly.spad.pamphlet: Faster polynomial
	multiplication.

2009-12-05  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/transsolve.spad.pamphlet: testZero?(): Accept
	more solutions.

2009-12-04  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/vecrec.spad.pamphlet: More scalable
	rational reconstruction.

2009-12-04  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/trace.boot, src/interp/i-analy.boot,
	src/interp/buildom.boot, src/interp/i-coerce.boot,
	src/interp/parse.boot, src/interp/i-output.boot,
	src/interp/i-spec2.boot, src/interp/g-cndata.boot,
	src/interp/setq.lisp, src/interp/i-funsel.boot,
	src/interp/i-eval.boot, src/interp/br-con.boot,
	src/interp/i-spec1.boot, src/interp/clammed.boot:
	Replace 'Domain' by 'Type' and 'Subdomain(Domain)'
	by 'Category'.

2009-11-29  Martin Rubey  <martin.rubey@univie.ac.at>, bertfried fauser

	* INSTALL (Prerequisities): add libraries for LaTeXed output in
	emacs mode

2009-11-28  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/mantepse.spad.pamphlet: Faster check
	for guessPRec.


2009-11-28  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Improve guessing with allDegrees.
	* src/algebra/mantepse.spad.pamphlet,
	src/algebra/modhpsol.spad.pamphlet,
	src/input/mantepse.input.pamphlet: Allow missing
	coefficients (degree -1) when guessing with allDegrees.

2009-11-28  Bill Page  <bill.page@newsynthesis.org>

	* src/algebra/op.spad.pamphlet,
	src/algebra/poly.spad.pamphlet, src/algebra/Makefile.in:
	Add 'Comparable' to XPOLY and Tensor domains.

2009-11-28  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	More efficient coercion.
	* src/algebra/multpoly.spad.pamphlet: New helper package.
	src/algebra/multpoly.spad.pamphlet: Use it.
	src/algebra/boo-pack2.input, 
	src/algebra/Makefile.in: Adjust.

2009-11-27  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
	    Martin Rubey  <martin.rubey@univie.ac.at>

	* src/algebra/gaussian.spad.pamphlet: Make 'Complex(Integer)'
	into UniqueFactorizationDomain.

2009-11-26  Andrey Grozin <A.G.Grozin@inp.nsk.su>

	* src/algebra/files.spad.pamphlet: flush(): New function.

2009-11-26  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/lisp/fricas-lisp.lisp: Make Lisp compiler less
	verbose.

2009-11-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/genups.spad.pamphlet,
	src/algebra/sttaylor.spad.pamphlet: More efficient
	power series multiplication.

2009-11-24  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/algebra/mantepse.spad.pamphlet,
	src/algebra/rec.spad.pamphlet, 
	src/input/mantepse.input.pamphlet: rewrite RECOP to avoid
	unwanted coercion of initial values in guessHPaux

2009-11-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/boo-cat.input, src/interp/nlib.lisp,
	src/interp/patches.lisp, src/interp/property.lisp,
	src/interp/postpar.boot, src/interp/compiler.boot,
	src/interp/parse.boot: Misc cleanups.

2009-11-16  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/util.lisp: interpsys-ecl-image-init():
	Set needed defaults for ECL.

2009-11-13  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/compiler.boot, src/interp/g-opt.boot,
	src/interp/int-top.boot, src/interp/i-spec2.boot,
	src/interp/setvart.boot, src/interp/slam.boot,
	src/interp/template.boot, src/interp/vmlisp.lisp:
	Misc cleanups.

2009-11-06  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/sfsfun.boot, src/interp/nrunopt.boot,
	src/interp/property.lisp, src/interp/postpar.boot,
	src/interp/parse.boot, src/boot/typrops.boot,
	src/boot/Makenotes.tex:  Use '^' for power in Boot.

2009-11-05  Bill Page  <bill.page@newsynthesis.org>

	* src/algebra/xpoly.spad.pamphlet: change 'div' to
	'divide' so division is inherited from FreeMonoid

2009-11-05  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Fix handling of 'Tuple' in Spad parser.
	* src/interp/def.lisp, src/interp/nruncomp.boot,
	src/interp/nrunopt.boot, src/interp/property.lisp,
	src/interp/postpar.boot, src/interp/compiler.boot,
	src/interp/fnew.meta, src/interp/fnewmeta.lisp,
	src/interp/define.boot, src/interp/ncomp.boot:
	Replace 'Tuple' by '@Tuple'.

2009-11-05  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/mantepse.spad.pamphlet: guessInterpolate3():
	Simplify.

2009-11-04  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/wi2.boot, src/interp/as.boot,
	src/interp/define.boot: Misc cleanups.

2009-11-04  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/compiler.boot: compWithMappingMode1():
	Support nested functional return values.

2009-11-04  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/compiler.boot: Support return in nested
	functions.

2009-11-02  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/algebra/mantepse.spad.pamphlet: do not export guessAlg(q)
	and guessPade(q)

2009-11-01  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/vecrec.spad.pamphlet: Another common factor fix.

2009-11-01  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/vecrec.spad.pamphlet,
	src/algebra/modhpsol.spad.pamphlet: Cancel common factors
	during reconstruction.

2009-11-01  Franz Lehner  <lehner@finanz.math.tugraz.at>
	* src/algebra/tensor.spad.pamphlet: correct broken build
	(badly formatted comments).
	
2009-10-31  Franz Lehner  <lehner@finanz.math.tugraz.at>

	tensor products and tensor powers
	* src/algebra/tensor.spad.pamphlet: new file
	* src/input/tensor.input.pamphlet: new file	
	new categories: TensorProductCategory, TensorPowerCategory, 
	Coalgebra, Bialgebra, HopfAlgebra
	new domains: TensorProduct, TensorPower	
	new package: TensorPowerFunctions2
	* src/algebra/boo-cat.input, src/algebra/boo-pack2.input,
	src/algebra/boo-dom2.input, src/algebra/exposed.lsp.pamphlet,
	src/share/algebra/command.list,
	src/algebra/Makefile.in, src/input/Makefile.in:
	add new entities
	* src/interp/property.lisp, src/interp/i-output.boot:
	ASCII output for tensors (B. Page)
	* src/algebra/poly.spad.pamphlet: rename mapLinear to linearExtend,
	take care of zero element in linearExtend
	* some cleanup in FreeModule
	* some further optimization on multiplication in the tensor
	product of algebras

2009-10-30  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/lisp/fricas-lisp.lisp: Correct previous version.

2009-10-29  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/lisp/fricas-lisp.lisp: Do not attempt to remember
	command line parameters if sbcl can not do this.

2009-10-28  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* Makefile.in, src/algebra/Makefile.in,
	src/lisp/Makefile.in, src/etc/Makefile.in,
	src/paste/Makefile.in, contrib/emacs/Makefile.in,
	config/setup-dep.mk: Makefile fixes.

2009-10-28  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/algebra: fix typos

2009-10-28  Martin Rubey  <martin.rubey@math.uni-hannover.de>

	* src/lisp/fricas-lisp.lisp: make sbcl remember command line
	parameters

2009-10-27  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/format.boot: Avoid crash when unparsing equations.

2009-10-26  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* configure.ac: Change '--with-noweb' to '--with-noweb-tarball'.

2009-10-26  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/br-op2.boot: dbGetFormFromDocumentation():
	Eliminate bogus error messages.

2009-10-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/scripts/document.in: Comment out buggy code.
	src/lisp/Makefile.in, configure.ac: Fixes for sbcl on
	Windows.

2009-10-24  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/*: Whitspace cleanup.

2009-10-22  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/c-doc.boot, src/interp/clam.boot,
	src/interp/br-saturn.boot, src/interp/functor.boot,
	src/interp/util.lisp, src/interp/fortcall.boot,
	src/interp/g-cndata.boot, src/interp/g-util.boot,
	src/interp/as.boot, src/interp/g-timer.boot,
	src/interp/g-error.boot: Misc cleanups.

2009-10-22  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/xpoly.spad.pamphlet,
	src/algebra/xlpoly.spad.pamphlet: Update comments.

2009-10-21  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Fix Aldor breakage.
	* src/aldor/gendepap.lsp: generate-ax-file(): Set
	'*print-circle* ' to nil.

2009-10-21  Ralf Hemmecke  <ralf@hemmecke.de>

	* src/interp/hashcode.boot: Change the hashcode of Mapping.
	The patch is due to Peter Broadbery.
	http://groups.google.com/group/fricas-devel/browse_thread/thread/c1d1ccc263415ba5

	* configure.ac, Makefile.in, config/var-def.mk:
	Enable --with-noweb=/path/to/noweb-2.10a.tgz.
	Disable --with-included-noweb.
	Remove axiom_optional_srcdir.

2009-10-20  Ralf Hemmecke  <ralf@hemmecke.de>

	* src/aldor/Makefile2.in: Remove useless trace commands.

2009-10-20  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/mantepse.spad.pamphlet: checkInterpolant(): Reject
	pathological solutions.

2009-10-20  Ralf Hemmecke  <ralf@hemmecke.de>

	* Makefile.in: Correct test.

2009-10-20  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/algebra/mantepse.spad.pamphlet,
	src/input/mantepse.spad.pamphlet: add functional equations, adjust
	tests

2009-10-20  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/lisp/fricas-lisp.lisp: Set '*print-circle*' to t.

2009-10-18  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Fix array indexing error.
	* src/algebra/modhpsol.spad.pamphlet: critical__index():
	Skip coordinates which are not present.

2009-10-15  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* configure.ac: Do not build Aldor interface by default.
	Makefile.in: Adjust.

2009-10-15  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/mantepse.spad.pamphlet: Add GuessPolynomialInteger
	src/algebra/exposed.lsp.pamphlet: expose it.
	src/algebra/Makefile.in: Adjust.

2009-10-15  Anatoly Raportirenko <ram@sunct1.jinr.ru>

	* src/lib/Makefile.in: For cmucl build 32-bit
	libspad.

2009-10-15  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Whitespace cleanup.

2009-10-15  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Spelling corrections.

2009-10-11  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
	    Martin Rubey  <martin.rubey@univie.ac.at>

	Guessing using modular method.
	* src/algebra/modhpsol.spad.pamphlet: New file.
	mantepse.spad.pamphlet: Call modular solver.
	fffg.spad.pamphlet: Export genVectorStream().
	src/algebra/Makefile.in, src/algebra/boo-pack1.input,
	src/algebra/boo-pack2.input: Adjust bootstrap.
	src/algebra/exposed.lsp.pamphlet: Unexpose GUESSAN.

2009-10-10  Bill Page  <bill.page@newsynthesis.org>

	* Fix bug: Error detected within library code: Unknown operator
	* change 'applyQuote to '%quote

2009-10-10  Ralf Hemmecke  <ralf@hemmecke.de>

	* configure.ac src/aldor/Makefile.in src/aldor/Makefile3.in
	src/aldor/gendepap.lsp src/aldor/libaxiom.tex src/interp/ax.boot:
	- Refactor generation of runtime lib for aldor-interface
	  from src/aldor/Makefile.in into Makefile3.in and remove
	  reference to attributes.
	- Remove use of |fileConstructors|, generate domains.mk
	  without .spad file access.

2009-10-09  Anatoly Raportirenko <ram@sunct1.jinr.ru>

	* configure.ac, src/input/elemnum.input.pamphlet,
	src/interp/htcheck.boot, src/interp/Makefile.in,
	src/interp/nlib.lisp, src/interp/util.lisp,
	src/interp/vmlisp.lisp, src/lisp/fricas-lisp.lisp,
	src/lisp/fricas-package.lisp, src/lisp/Makefile.in,
	src/scripts/document.in: Support build with cmucl.

2009-10-02  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/compiler.boot: modeEqualSubst(): Better
	type equality.

2009-10-02  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	History file fixes.
	* src/interp/i-syscmd.boot: readHiFi(): correct a typo.
	histFileName(), restoreHistory(): Do not create trash files.

2009-09-30  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
	    Aleksej Saushev  <asau@inbox.ru>

	* configure.ac: Fix AF_UNIX/AF_LOCAL test.

2009-09-27  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/algebra/Makefile.in, src/algebra/mantepse.spad.pamphlet,
	src/input/mantepse.input.pamphlet: remove superfluous argument R
	from GUESS, fix a mistake in GUESSF1 and add test, make GUESSP
	more general, adjust tests

2009-09-25  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/algebra/fffg.spad.pamphlet: make DiffAction work also when
	the desired coefficient is trivially 0.

2009-09-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Add modular framework.
	* src/interp/primitives.lisp: Add macros for modular
	operations.
	src/interp/setq.lisp: U32Vector is optimizable.
	src/algebra/u32vec.spad.pamphlet,
	src/algebra/vecrec.spad.pamphlet: New files.
	src/algebra/boo-pack2.input,
	src/algebra/boo-dom1.input,
	src/algebra/boo-nildom.spad,
	src/algebra/boo-dom2.input,
	src/algebra/boo6.input,
	src/algebra/Makefile.in: Adjust bootstrap.

2009-09-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* configure.ac: Use sbcl as default Lisp.

2009-08-31  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Speed up conversion of taylor series to polynomials.
	* src/algebra/taylor.spad.pamphlet: univariatePolynomial():
	speed up.

2009-08-22  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Speed up array access using Lisp primitives.
	* src/interp/primitives.lisp: New file.
	src/interp/setq.lisp: Add arrays and Matrix to
	'$optimizableConstructorNames'.
	src/interp/g-opt.boot: Instantiate them during compilation.
	src/algebra/Makefile.in, src/algebra/boo6.input: Adjust
	bootstrap.
	src/algebra/array1.spad.pamphlet,
	src/algebra/array2.spad.pamphlet,
	src/algebra/matrix.spad.pamphlet,
	src/algebra/vector.spad.pamphlet: Use new primitives.

2009-08-22  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/boo-nilcat.spad,
	src/algebra/exposed.lsp.pamphlet: Remove traces of
	AttributeRegistry.

2009-08-22  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/def.lisp, src/interp/i-output.boot,
	src/interp/g-boot.boot, src/interp/macros.lisp:
	Misc cleanups.

2009-08-22  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Speed up expansion into series.
	* src/algebra/fs2ups.spad.pamphlet: powerToGenUPS(),
	atancotToGenUPS(): use iExprToGenUPS instead of
	exprToGenUPS.

2009-08-22  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/cra.spad.pamphlet,
	src/algebra/pfo.spad.pamphlet,
	src/algebra/fs2ups.spad.pamphlet,
	src/algebra/lodop.spad.pamphlet,
	src/algebra/crfp.spad.pamphlet:  Update comments.

2009-08-03  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-coerce.boot, src/interp/rulesets.boot,
	src/interp/compiler.boot, src/interp/termrw.boot,
	src/interp/i-funsel.boot, src/interp/i-resolv.boot,
	src/interp/clammed.boot: Resolve cleanup.

2009-08-03  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/modring.spad.pamphlet: Always use monicDivide
	from underlying domain for remainder.

2009-08-03  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/muldep.spad.pamphlet,
	src/interp/nlib.lisp, src/interp/sys-pkg.lisp,
	src/interp/i-syscmd.boot, src/interp/interop.boot,
	src/interp/g-timer.boot, src/interp/macros.lisp,
	src/interp/lisplib.boot, src/interp/vmlisp.lisp,
	src/interp/spad.lisp: Misc cleanups.
	src/interp/cfuns.lisp: Remove
	src/interp/Makefile.in: Adjust.

2009-08-02  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/incl.boot: Fix conditionals in interpreter
	scanner.

2009-08-02  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/macros.lisp: ORDER?(): Avoid 'write-to-string'
	to make it more efficient.

2009-08-02  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/clam.boot: clearClam(): Avoid using eval.

2009-08-02  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Generate fricas-cpl.el at build time.
	* contrib/emacs/gen-cpl.lisp: New file.
	contrib/emacs/fricas-cpl.lisp: Delete. Move first
	and last part to contrib/emacs/fricas-cpl.hd
	and contrib/emacs/fricas-cpl.tl respectively.
	Makefile.in, contrib/emacs/Makefile.in: Adjust.

2009-07-24  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* src/algebra/poly.spad.pamphlet: Add return value.

2009-07-24  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Join tiny files with other.
	* src/interp/parini.boot: Move content to 
	src/interp/scan.boot and remove.
	src/interp/packtran.boot: Move content to
	src/interp/g-util.boot and remove.
	src/interp/Makefile.in: Adjust.

2009-07-24  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/nrunfast.boot, src/interp/nruncomp.boot,
	src/interp/nrunopt.boot, src/interp/wi2.boot,
	src/interp/functor.boot, src/interp/i-syscmd.boot,
	src/interp/as.boot, src/interp/template.boot,
	src/interp/daase.lisp, src/interp/i-funsel.boot,
	src/interp/define.boot, src/interp/lisplib.boot,
	src/interp/wi1.boot: Misc cleanups.

2009-07-23  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/algebra/matcat.spad.pamphlet: correct definition of
	random$RMATCAT

2009-07-20  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* configure.ac: Do not require patch.

2009-07-08  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Different fix for SF-2815451.
	* src/interp/sfsfun-l.lisp: C-TO-RF(): new function.
	src/algebra/mkfunc.spad.pamphlet: mkLisp(): Revert
	change from r639.
	mkCTOR(): Use C-TO-RF.

2009-07-08  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/lisp/fricas-lisp.lisp: Adjust for sbcl-1.0.29.

2009-07-07  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/lisplib.boot: Do not add bogus modemaps
	for categories.

2009-07-02  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/hyper/pages/*: Replace '$' by '%'.

2009-07-02  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Fix SF-2815451.
	* src/algebra/mkfunc.spad.pamphlet: mkLisp(): Convert
	integer constants to DoubleFloat.
	 
2009-07-02  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/g-opt.boot, src/interp/lisplib.boot
	src/interp/i-spec1.boot: Misc cleanups.

2009-07-02  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/tex.spad.pamphlet: Fix issue 245.

2009-06-27  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/quat.spad.pamphlet: Add general quaternions.
	src/algebra/boo-dom1.input, 
	src/algebra/exposed.lsp.pamphlet,
	src/algebra/Makefile.in: Adjust
	src/hyper/pages/QUAT2.ht: New example file
	src/hyper/pages/QUAT.ht, src/paste/Makefile.in
	src/hyper/pages/xmpexp.ht: Adjust
	src/input/quat.input.pamphlet: Remove redundant file.
	src/input/Makefile.in: Adjust.

2009-06-26  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/br-op2.boot, src/interp/format.boot:
	Fix browser error.

2009-06-26  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/Makefile.in: Eliminate errors compiling
	BPADICRT and PADICRAT.

2009-06-26  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/any.spad.pamphlet,
	src/interp/i-eval.boot: Make equality in Any more
	reasonable.

2009-06-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/tex.spad.pamphlet,
	src/algebra/mathml.spad.pamphlet,
	src/interp/i-output.boot: Fix horizontal display of
	fractions.

2009-06-22  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/*, src/boot/typrops.boot: Misc cleanups.

2009-06-22  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/algfact.spad.pamphlet: allk(): Correctly handle
	nested extensions during algebraic factorization.

2009-06-21  Franz Lehner  <lehner@finanz.math.tugraz.at>

	* src/algebra/xlpoly.spad.pamphlet: Revert output form of LiePolynomial to state previous to cleanup of FreeModule.

2009-06-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/bootfuns.lisp, src/interp/util.lisp: Silence 'Loading'
	messages.

2009-06-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/si.spad.pamphlet,
	src/algebra/mkfunc.spad.pamphlet,
	src/algebra/gdirprod.spad.pamphlet,
	src/algebra/fortran.spad.pamphlet,
	src/algebra/fortpak.spad.pamphlet,
	src/algebra/oct.spad.pamphlet,
	src/algebra/vector.spad.pamphlet,
	src/interp/nruncomp.boot, src/interp/category.boot,
	src/interp/modemap.boot, src/interp/wi2.boot,
	src/interp/functor.boot, src/interp/g-opt.boot,
	src/interp/define.boot, src/interp/lisplib.boot,
	src/interp/spad.lisp: Misc cleanups.

2009-06-11  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Allow local domains in conditionals.
	* src/interp/info.boot: actOnInfo(): Do not put
	atoms on $functorLocalParameters.

2009-06-10  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/sf.spad.pamphlet,
	src/interp/def.lisp, src/interp/parsing.lisp,
	src/interp/compiler.boot, src/interp/util.lisp,
	src/interp/comp.lisp, src/interp/bootlex.lisp,
	src/interp/union.lisp, src/interp/g-boot.boot,
	src/interp/macros.lisp, src/interp/wi1.boot,
	src/interp/vmlisp.lisp: Misc cleanups.

2009-06-09  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/*.spad.pamphlet: replace $ by %

2009-06-05  Franz Lehner  <lehner@finanz.math.tugraz.at>

	* cleanup of FreeModule

2009-05-19  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/nrunfast.boot: newHasTest(): Signal error
	when domain is nil.

2009-05-18  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/compiler.boot: compQuote(): Allow only
	symbols, set result type.
	* src/algebra/*: Convert strings to symbols.

2009-05-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/compiler.boot: Better error checking.
	src/algebra/kl.spad.pamphlet: Adjust.

2009-05-16  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/*: Add Comparable, use it instead of
	OrderedSet when appropriate.
	src/input/bugs2009.input.pamphlet,
	src/input/mapleok.input.pamphlet,
	src/input/ruleset.input.pamphlet: Adjust tests.

2009-05-15  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/compiler.boot: compPretend(): Change error
	to warning.

2009-05-10  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/compiler.boot: Optimize trivial lambdas.

2009-05-10  Ralf Hemmecke  <ralf@hemmecke.de>

	* src/algebra/gaussian.spad.pamphlet,
	src/algebra/gpgcd.spad.pamphlet, src/algebra/groebf.spad.pamphlet,
	src/algebra/mts.spad.pamphlet, src/algebra/puiseux.spad.pamphlet:
	replace +-> by direct function call

2009-05-08  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/aggcat.spad.pamphlet,
	src/algebra/tree.spad.pamphlet: Change nested functions to
	closures.

2009-05-08  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/*: Merge new-lambda.

2009-04-29  Martin Rubey  <martin.rubey@math.uni-hannover.de>

	* INSTALL.CYGWIN: update to new cygwin packages, note problems
	with building under X, fricas.el and efricas are now automatically
	installed

2009-04-28  Ralf Hemmecke  <ralf@hemmecke.de>

	* contrib/emacs/Makefile.in: Must regenerate efricas after
	built and re-configure.
	
2009-04-28  Martin Rubey  <martin.rubey@univie.ac.at>

	* contrib/emacs/fricas.el: strip ctrl-m for MS-Windows

2009-04-27  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/postpar.boot: Correct a typo.

2009-04-26  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/Makefile.in: Parallelize release build.

2009-04-26  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/lisp/fricas-lisp.lisp, src/lisp/fricas-package.lisp:
	Add exit with status.

2009-04-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/interp-proclaims.lisp: Regenerate.

2009-04-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/hyper/pages/releaseNotes.ht, src/input/test.input.pamphlet:
	Last minute changes.

2009-04-22  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/hyper/pages/releaseNotes.ht: Update for 1.0.6.

2009-04-22  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/genufact.spad.pamphlet: Fix SF/2521387.

2009-04-22  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/ystream.spad.pamphlet,
	src/algebra/stream.spad.pamphlet, src/interp/setq.lisp:
	Detect and report uninitialized streams.

2009-04-21  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/algebra/mantepse.spad.pamphlet: developer documentation
	improvements, more debugging messages

2009-04-19  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
            Anonymous Axiom wiki contibutor

	* src/interp/i-coerce.boot, src/interp/i-funsel.boot,
	src/interp/i-resolv.boot: Fix issues 122, 136 and 435.

	Martin Rubey  <martin.rubey@univie.ac.at>
	* src/input/i-bugs2009.input.pamphlet,
	src/input/bugs2009.input.pamphlet: add issue numbers

2009-04-15  Gabriel Dos Reis  <gdr@cs.tamu.edu>
            Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/scan.boot, src/share/doc/msgs/s2-us.msgs:
	Signal error if no digit follow radix specification.

2009-04-14  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* contrib/debian/mk_deb: Update.

2009-04-10  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/mark.boot: Add leading zero.

2009-04-09  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/scripts/find-algebra-files: Use 'grep -E' if
	this works.

2009-04-08  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/kl.spad.pamphlet: Fix issue 443.
	src/input/bugs2009.input.pamphlet: add test.
	src/input/mantepse.input.pamphlet: correct expected().

2009-04-02  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/void.spad.pamphlet: Allow tracing of
	functions returning Void.

2009-04-02  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Add beginning of new compiler.
	* src/interp/ncomp.boot: New file.
	src/interp/bootlex.lisp: Init per-file macro hash table.
	src/interp/spad.lisp: Call function from ncomp if
	requested.
	src/interp/Makefile.in : Add ncomp.

2009-03-31  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/apply.boot, src/interp/sys-pkg.lisp,
	src/interp/patches.lisp, src/interp/cformat.boot,
	src/interp/msgdb.boot, src/interp/nruncomp.boot,
	src/interp/setvars.boot, src/interp/postpar.boot,
	src/interp/wi2.boot, src/interp/util.lisp,
	src/interp/msg.boot, src/interp/comp.lisp,
	src/interp/format.boot, src/interp/define.boot,
	src/interp/htsetvar.boot, src/interp/vmlisp.lisp:
	Misc cleanups.

2009-03-27  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/g-boot.boot: Fix breakage from revision 554.

2009-03-26  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* src/interp/i-funsel.boot, src/share/doc/msgs/s2-us.msgs:
	Select function based on type from context.
	src/input/bugs2009.input.pamphlet: Add test.

2009-03-24  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/comp.lisp: convert functions to Boot
	and move to
	src/interp/g-boot.boot: here.
	src/interp/i-analy.boot, src/interp/def.lisp,
	src/interp/compiler.boot: Adjust.

2009-03-22  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/info.boot, src/interp/nruncomp.boot:
	Speed up compilation of EXPEXPAN.spad.

2009-03-22  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/compiler.boot: compWithMappingMode(): supress
	bogus warnings about parameters having no value.

2009-03-20  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/compiler.boot, src/interp/define.boot,
	src/interp/newaux.lisp, src/interp/property.lisp:
	Support '+->' and nested functions.

2009-03-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/info.boot, src/interp/category.boot,
	src/interp/wi2.boot, src/interp/functor.boot,
	src/interp/define.boot: Misc cleanups.

2009-03-16  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/axext_l.lisp, src/interp/category.boot,
	src/interp/database.boot, src/interp/define.boot,
	src/interp/htcheck.boot, src/interp/i-intern.boot,
	src/interp/i-output.boot, src/interp/i-spec2.boot,
	src/interp/i-syscmd.boot, src/interp/lisplib.boot,
	src/interp/macros.lisp, src/interp/package.boot,
	src/interp/setq.lisp, src/interp/setvars.boot,
	src/interp/spad.lisp, src/lisp/fricas-lisp.lisp,
	src/lisp/fricas-package.lisp, src/share/doc/msgs/s2-us.msgs:
	Misc cleanups.

2009-03-16  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/nrunopt.boot src/interp/property.lisp,
	src/interp/compiler.boot, src/interp/c-util.boot,
	src/interp/setq.lisp, src/interp/define.boot,
	src/interp/hashcode.boot: Misc cleanups.

2009-03-14  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/input/Makefile.in: Cleanup test Makefile.

2009-03-14  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/category.boot: SigListOpSubsume(): Use EQ
	for faster comparison.

2009-03-13  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/Makefile.in: Parallelize main bootstrap
	stage.
	Makefile.in: force sequential build of noweb.

2009-03-11  Aleksej Saushev  <asau@inbox.ru>

	* configure.ac: Support Dragonfly BSD.

2009-03-06  Johannes Grabmeier  <johannes@grabmeier.net>
            Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/float.spad.pamphlet: fixed(): Correct
	fixed output of floating point numbers.
	src/input/i-bugs2009.input.pamphlet: Add tests.
	src/input/Makefile.in: Adjust.

2009-03-03  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/intpm.spad.pamphlet: Do not compare
	expressions.

2009-03-03  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/fraction.spad.pamphlet: Remove bogus
	comparison code.

2009-03-01  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/Makefile.in, src/interp/comp.lisp,
	src/interp/compat.boot, src/interp/daase.lisp,
	src/interp/debug.lisp, src/interp/fname.lisp,
	src/interp/foam_l.lisp, src/interp/hash.lisp,
	src/interp/macros.lisp, src/interp/nlib.lisp,
	src/interp/patches.lisp, src/interp/sfsfun-l.lisp,
	src/interp/spaderror.lisp, src/interp/util.lisp,
	src/interp/vmlisp.lisp, src/lisp/fricas-lisp.lisp:
	Misc cleanups.

2009-02-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/elemntry.spad.pamphlet: Disable undesirable
	simplifications.
	src/algebra/transsolve.spad.pamphlet: Simplify inverses here.

2009-02-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/integer.spad.pamphlet, src/interp/spad.lisp:
	Speed up integer exquo.

2009-02-22  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/*.spad.pamphlet: Whitespace cleanup.

2009-02-21  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/bc-misc.boot, src/interp/bc-solve.boot:
	Replace '**' by '^'.

2009-02-20  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* Makefile.in: Do not install 'axiom' script.

2009-02-18  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/*.spad.pamphlet: Replace '**' by '^'.
	src/interp/i-coerfn.boot: Adjust.

2009-02-16  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/ax.boot, src/interp/c-util.boot,
	src/interp/compiler.boot, src/interp/daase.lisp,
	src/interp/format.boot, src/interp/functor.boot,
	src/interp/macros.lisp, src/interp/nlib.lisp,
	src/interp/nrunopt.boot, src/interp/parsing.lisp,
	src/interp/property.lisp, src/interp/setq.lisp,
	src/interp/setvars.boot, src/interp/util.lisp: Misc cleanups.

2009-02-02  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/buildom.boot, src/interp/property.lisp,
	src/interp/nrungo.boot, src/interp/parse.boot: Misc cleanups.

2009-02-02  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/hyper/pages/*.ht: Replace '**' by '^'.

2009-02-02  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/*, src/interp/*, src/boot/*: Replace '^=' by
	'~='.

2009-02-01  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Better configure.
	* config.lisp: New file.
	configure.ac: Use it to detect Lisp.

2009-01-31  Ralf Hemmecke  <ralf@hemmecke.de>

	* src/algebra/ore.spad.pamphlet: Fix right multiplication by an
	element of the coefficient domain for
	SparseUnivariateSkewPolynomial. Previously it was inherited from
	SparseUnivariatePolynomial and thus (wrongly) commutative.

2009-01-29  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/property.lisp: Disable transforminng '^'
	into negation in the parser.

2009-01-28  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Fix bootstrap of GCDBAS.
	* src/algebra/Makefile.in: Add GCDBAS to BADSPAD.

2009-01-28  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/algebra/lodo.spad.pamphlet: killer missed return statement
	and would therefore always exit with no relations found

2009-01-26  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/input/mantepse.input.pamphlet: add currently failing test
	for finding homogeneous holonomic differential equation for x^2

2009-01-26  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* configure.ac: Do not add '-lutil' to link flags when
	openpty is in libc.

2009-01-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* INSTALL: Update.

2009-01-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* configure.ac: Check for openpty first in libc.

2009-01-24  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/algebra/rec.spad.pamphlet: fix output bug when all initial
	values are zero

	* src/algebra/rec.spad.pamphlet: cleanup output of ADEs: do not
	show zero coefficients in series expansion

2009-01-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* configure.ac: Check for openpty also in libbsd.

2009-01-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* INSTALL: Update.

2009-01-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/hyper/pages/releaseNotes.ht: Update for 1.0.5.

2009-01-22  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/integrat.spad.pamphlet: integrate(): Temporarly
	disable fix for issue 436.

2009-01-22  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/sman/sman.c: fork_Axiom(): Print better error
	message.

2009-01-21  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/input/bugs2009.input.pamphlet: test integrals with
	specialised function 

	* src/algebra/polycat.spad.pamphlet: modify implementation of
	map$POLYLIFT so it doesn't introduce new zeros anymore, add test
	* src/algebra/Makefile.in, src/input/Makefile.in: adapt

2009-01-21  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Suppress loading Lisp init files.
	* configure.ac: rename axiom_quiet_flag to fricas_quiet_flag,
	add to it option to suppres loading init files.
	src/lisp/Makefile.in: Add fricas_quiet_flag to Lisp
	command line.
	src/lisp/fricas-lisp.lisp: Hardcode 'norc' option into
	dumped Clisp image.

2009-01-20  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/input/elemnum.input.pamphlet: Make sure tests run
	with Clisp-2.47

2009-01-20  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/lisp/fricas-lisp.lisp: For ECL on Darwin add :unix
	to featues.

2009-01-20  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/algebra/rec.spad.pamphlet: modify output format of ADEs
	src/input/mantepse.input.pamphlet: fix typo

2009-01-20  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/Makefile.in: Avoid recompliling algebra
	twice.

2009-01-20  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/muldep.spad.pamphlet: Doc fix.

2009-01-20  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/algebra/Makefile.in: add STNSR

	* src/algebra/mantepse.spad.pamphlet,
	src/input/mantepse.input.pamphlet: implement a different
	(better?) approach to homogeneous equations, implement mixed
	q-equations and recurrences, options use "arbitrary" instead of
	special integers now

2009-01-20  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/fraction.spad.pamphlet: Remove unused
	import of MatrixCommonDenominator.

2009-01-19  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Simplify logarithms of constants.
	* src/algebra/muldep.spad.pamphlet: new file.
	src/algebra/efstruc.spad.pamphlet: use 
	logDependenceQ from the new file.

2009-01-19  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/boo3.input: Buid FlexibleArray during
	bootstrap phase.

2009-01-18  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/util.lisp, src/lisp/fricas-lisp.lisp: Allow
	build even if Clisp lacks FFI.

2009-01-18  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/fraction.spad.pamphlet: Improve reducedSystem
	(build smaller systems).

2009-01-16  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/br-op2.boot: getDcForm(): Workaround to
	correctly format 'reduce'.

2009-01-16  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/br-op2.boot, src/interp/compiler.boot: Do not
	set $badStack in browser.

2009-01-16  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Fix issue 440 and 442.
	* src/algebra/integrat.spad.pamphlet: integrate(): Go
	complex for complex base ring.
	
2009-01-16  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/integrat.spad.pamphlet: integrate(): Partial
	fix for issue 436.

2009-01-14  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/algebra/mantepse.spad.pamphlet: fix inaccuracy in
	homogeneousPart, select only lists without common factor

	* src/algebra/mantepse.spad.pamphlet,
	src/input/mantepse.input.pamphlet: proper definition of
	homogeneous, add test

2009-01-13  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/efstruc.spad.pamphlet: Handle tan/atan of
	constants in normalize.

2009-01-13  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/input/mantepse.input.pamphlet: test guessing facility
	src/input/Makefile.in: Adjust.

2009-01-13  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Fix issue 441.
	* src/algebra/defintrf.spad.pamphlet: findRealZero(): Remove
	multiple zeros.

2009-01-13  Martin Rubey  <martin.rubey@univie.ac.at>
	
	* src/input/bugs2009.input.pamphlet: add issue #442

	* src/input/bugs2009.input.pamphlet: add issues #138, #439, #436,
	#360, #440, #441

	* src/input/elemnum.input.pamphlet: add reference

	* src/input/bugs2008.input.pamphlet: correct test #301, add
	expected(), fix some formatting.

2008-01-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/efstruc.spad.pamphlet: Better normalization.
	src/input/bugs2009.input.pamphlet: New file.
	src/input/Makefile.in: Adjust.

2008-01-10  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/coerce.spad.pamphlet,
	src/algebra/exposed.lsp.pamphlet,
	src/interp/as.boot, src/interp/br-con.boot,
	src/interp/br-data.boot, src/interp/br-util.boot,
	src/interp/cattable.boot, src/interp/c-util.boot,
	src/interp/interop.boot, src/interp/nrunopt.boot,
	src/interp/parsing.lisp: Misc cleanups.

2008-01-10  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/array1.spad.pamphlet: FlexibleArray,
	IndexedFlexibleArray: Doc fix.

2008-01-09  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Avoid breakage due to cleanup in r463.
	* src/interp/br-op1.boot: dbShowOp1(): Allow integer
	valued keys.

2008-01-07  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Avoid referencing build directory when using ECL.
	* src/interp/util.lisp: interpsys-ecl-image-init(): call
	initroot and use value of $spadroot instead of frozen
	build value.

2008-01-07  Aleksej Saushev <asau@inbox.ru>

	Fix bootstrap failure with ECL on NetBSD.
	* src/lisp/fricas-lisp.lisp: For ECL on NetBSD add :unix
	to featues.

2008-01-05  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/input/intef2.input.pamphlet,
	src/input/intmix2.input.pamphlet: Remove redundant test files.
	src/input/calculus2.input.pamphlet: Remove redundant unused
	tests, fix wrong Laplace examples.
	src/input/Makefile.in: Adjust.

2008-01-04  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/bootlex.lisp, src/interp/fnew.meta,
	src/interp/fnewmeta.lisp, src/interp/parsing.lisp:
	Scan special chars as symbols.

2008-01-03  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/input/easter.input.pamphlet: Remove redundant test file.
	src/input/Makefile.in: Adjust.

2008-12-21  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-output.boot: Remove unused parameter
	to 'SubstWhileDesizing' and 'SubstWhileDesizingList'.

2008-12-21  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/bootlex.lisp, src/interp/daase.lisp,
	src/interp/fnew.meta, src/interp/fnewmeta.lisp,
	src/interp/macros.lisp, src/interp/newaux.lisp,
	src/interp/parsing.lisp: Simplify old scanner.
	src/interp/metalex.lisp, src/interp/metameta.lisp: Remove.
	src/interp/Makefile.in: Adjust

2008-12-20  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Correct problem with )show.
	* src/interp/format.boot: form2String(): do not set
	'$InteractiveMode' to false.
	unparseInputForm(): new function, set '$InteractiveMode'
	to false here.
	src/algebra/mkfunc.spad.pamphlet: unparse(): Use
	unparseInputForm instead of form2String.

2008-12-20  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/br-con.boot, src/interp/br-op1.boot,
	src/interp/c-doc.boot, src/interp/patches.lisp:
	Misc cleanups.

2008-12-19  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/nrunfast.boot: newHasTest(): Handle 'has'
	for signatures.

2008-12-18  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/apply.boot: compFormWithModemap(): Allow
	calling type-valued functions in Spad.

2008-12-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/input/*: Change '**' to '^'.

2008-12-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-eval.boot: evaluateType(): Comment out
	final call to evaluateFormAsType to avoid infinite
	recursion when evaluationg 'Record'.

2008-12-16  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* trunk/src/interp/i-toplev.boot: Declare '$inRetract'.

2008-12-16  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/clifford.spad.pamphlet: Avoid infinite
	recursion during convertion.

2008-12-15  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/naalgc.spad.pamphlet,
	src/algebra/trigcat.spad.pamphlet: Add missing definitions
	of '^'.

2008-12-15  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
            Ralf Hemmecke  <ralf@hemmecke.de>
	* src/algebra/fraction.spad.pamphlet,
	src/algebra/solverad.spad.pamphlet: Eliminate use
	of SubsetCategory.

2008-12-13  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/lindep.spad.pamphlet: solveLinear(),
	solveLinearlyOverQ(): add matrix version.

2008-12-13  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/mts.spad.pamphlet: Correct wrong test.

2008-12-05  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-spec1.boot: upTARGET() and upCOERCE(): Allow
	type-valued coercions.

2008-12-05  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
            Bill Page <bill.page@newsynthesis.org>

	* src/interp/nrunfast.boot: newHasTest(): Correct typo.

2008-11-29  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/bootlex.lisp, src/interp/def.lisp,
	src/interp/i-syscmd.boot, src/interp/macros.lisp,
	src/interp/metalex.lisp, src/interp/msgdb.boot,
	src/interp/parsing.lisp, src/interp/patches.lisp,
	src/interp/record.boot, src/interp/sys-pkg.lisp,
	src/interp/vmlisp.lisp:  Clean up stream usage.

2008-11-28  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/input/Makefile.in: Skip Nag tests.

2008-11-26  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/input/elemnum.input.pamphlet: add many more tests for
	branchcuts, singularities, special values and behaviour under
	normalization / evaluation.  Many tests fail.

	* src/algebra/sf.spad.pamphlet, src/algebra/trigcat.spad.pamphlet:
	move RADCAT from sf to trigcat, where it belongs.  Add
	documentation concerning branchcuts to log, acos, asin, atan

2008-11-26  Martin Rubey  <martin.rubey@univie.ac.at>
	
	* src/algebra/unittest.spad.pamphlet: add testsuiteNoClear
	(testsuite now issues ")clear all") and testRealEquals,
	testComplexEquals that test for approximate equality

2008-11-20  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/Makefile.in: Fix install of MTSCAT (and
	MTSCAT to CATDOMS).

2008-11-17  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/algebra/mts.spad.pamphlet, src/algebra/pscat.spad.pamphlet,
	src/algebra/Makefile.in, src/input/Makefile.in: add definitions
	for coefficient for multivariate series, some tests and some
	documentation

2008-11-07  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* configure.ac: when building gcl use local copy of bfd
	library.

2008-11-07  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/algebra/float.spad.pamphlet,
	src/algebra/fspace.spad.pamphlet, src/algebra/sf.spad.pamphlet:
	remove superfluous signatures, implied by category membership

2008-11-04  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/algebra/combfunc.spad.pamphlet: Reorder documentation

2008-11-04  Martin Rubey  <martin.rubey@univie.ac.at>

	* contrib/emacs/fricas.el: Correct definition of fricas-run.

	* src/algebra/seg.spad.pamphlet: provide InputForm for
	Segment, SegmentBinding, UniversalSegment

	* src/algebra/mkfunc.spad.pamphlet: provide a packageCall variant
	in INFORM1 that returns InputForm of a function call with
	arguments.

2008-10-28  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
            Martin Rubey  <martin.rubey@univie.ac.at>

	* contrib/emacs/Makefile.in, contrib/emacs/fricas.el:
	Make fricas command in fricas mode and efricas variable.
	

2008-10-28  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* contrib/emacs/Makefile.in: Respect DESTDIR.

2008-10-28  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* interp-proclaims.lisp: Regenerate.

2008-10-28  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/exprode.spad.pamphlet: use "exquo" instead
	of "fixedPointExquo" to work around issue 301.

2008-10-26  Bill Page <bill.page@newsynthesis.org>

	* src/algebra/clifford.spad.pamphlet,
	src/algebra/constant.spad.pamphlet: Add coercions to InputForm
	src/interp/format.boot: Improve unparse.

2008-10-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Correct initialization of $envHashTable.
	* src/interp/compiler.boot: initEnvHashTable(): New function.
	compTopLevel(): Use it.

2008-10-21  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/interp/i-output.boot: add TeXOutput marker
	* contrib/emacs/fricas.el: simplify temporary file handling, add
	support for inline display of LaTeXed code

2008-10-20  Ralf Hemmecke  <ralf@hemmecke.de>

	* Makefile.in, configure.ac, contrib/emacs/Makefile.in:
	Install fricas.el and an efricas script to run fricas inside
	emacs.

2008-10-15  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Speed up DirectProduct directly using Lisp operations.
	* src/interp/vmlisp.lisp: add QLESSP macro.
	src/interp/sys-pkg.lisp: export it.
	src/algebra/vector.spad.pamphlet: Use Lisp operations
	in comparisons.

2008-10-14  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/ptrees.boot: add code from ptrop.boot
	src/interp/ptrop.boot: Remove.
	src/interp/Makefile.in: Adjust
	src/interp/g-opt.boot, src/interp/g-util.boot,
	src/interp/i-code.boot, src/interp/interop.boot,
	src/interp/nrunfast.boot, src/interp/pspad2.boot,
	src/interp/template.boot, src/interp/termrw.boot: Misc cleanups.

2008-10-14  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/util.lisp, src/lisp/fricas-lisp.lisp:  Turn
	Closure CL based AXIOMsys into binary.
	src/sman/sman.c: Adjust.

2008-10-13  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/outform.spad.pamphlet: Use SExpression as
	representation of OutputForm.
	src/algebra/Makefile.in, src/algebra/boo6.input: Adjust.

2008-10-10  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Correct Shoe 'is' with strings.
	* src/boot/tytree1.boot: bfIS1(): Do not convert strings
	to symbols.

2008-10-09  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/interp/i-syscmd.boot: fix thinko (qcdr ob should be qcdr),
	thanks Bill Page

	* src/interp/i-syscmd.boot: spadClosure? and writifyInner: deal
	with newGoGet - problem introduced by switch to functions in
	SPADCALL, and WRAPPED in )history )save and )restore

2008-10-08  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Cleanup of renamings.
	* src/boot/typrops.boot: Do not rename "substitute".
	src/interp/property.lisp: Do not rename "SUBST".
	src/interp/br-op1.boot, src/interp/br-op2.boot,
	src/interp/br-prof.boot, src/interp/br-util.boot,
	src/interp/database.boot, src/interp/define.boot,
	src/interp/format.boot, src/interp/ht-util.boot,
	src/interp/lisplib.boot, src/interp/mark.boot,
	src/interp/modemap.boot, src/interp/nruncomp.boot,
	src/interp/parse.boot, src/interp/wi2.boot: Adjust.

2008-10-07  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/boot/tytree1.boot: bfReduce():  Perform reduction
	in correct order.

2008-10-07  Martin Rubey  <martin.rubey@univie.ac.at>

	* contrib/emacs/fricas.el: fix bug in fricas-banner-filter when
	emacs is started via efricas
	
2008-10-07  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/interp/i-syscmd.boot: histFileErase now also deletes
	directories
	
2008-10-07  Martin Rubey  <martin.rubey@univie.ac.at>

	* contrib/emacs/fricas.el: add message when FriCAS is ready

2008-10-06  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/input/lode.input.pamphlet: convert to unittesting package

2008-10-06  Martin Rubey  <martin.rubey@univie.ac.at>

	* contrib/emacs/fricas.el: fix bug with line continuation, add
	fricas-nocheck-eval

2008-10-03  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/patches.lisp: Add back definition of MAP.
 
2008-10-03  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/kl.spad.pamphlet: Use binary search in
	SortedCache.

2008-10-03  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/patches.lisp, src/interp/util.lisp: Supress
	sbcl style warnings due to autoloading.

2008-10-02  Martin Rubey  <martin.rubey@univie.ac.at>

	* contrib/emacs/efricas, contrib/emacs/fricas.el: make emacs mode
	work with ecl - suppress banner.

2008-10-01  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/algfunc.spad.pamphlet,
	src/algebra/combfunc.spad.pamphlet,
	src/algebra/constant.spad.pamphlet,
	src/algebra/efstruc.spad.pamphlet,
	src/algebra/elemntry.spad.pamphlet,
	src/algebra/expr.spad.pamphlet,
	src/algebra/fspace.spad.pamphlet,
	src/algebra/intef.spad.pamphlet,
	src/algebra/integrat.spad.pamphlet,
	src/algebra/kl.spad.pamphlet,
	src/algebra/laplace.spad.pamphlet,
	src/algebra/limitps.spad.pamphlet,
	src/algebra/liouv.spad.pamphlet,
	src/algebra/manip.spad.pamphlet,
	src/algebra/odeef.spad.pamphlet,
	src/algebra/oderf.spad.pamphlet,
	src/algebra/opalg.spad.pamphlet,
	src/algebra/op.spad.pamphlet,
	src/algebra/pfo.spad.pamphlet,
	src/algebra/rdeef.spad.pamphlet,
	src/algebra/rec.spad.pamphlet:  Use symbols for names
	of operator properties.

2008-09-26  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/algfunc.spad.pamphlet,
	src/algebra/fspace.spad.pamphlet:  Fix issue 23.
	src/input/bugs2008.input.pamphlet:  Add test.

2008-09-26  Martin Rubey  <martin.rubey@univie.ac.at>

	* INSTALL.CYGWIN, contrib/emacs/efricas, contrib/emacs/fricas.el:
	adapt install notes for cygwin, send errors when running in emacs
	to /dev/null.

2008-09-26  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* configure.ac: Use new macros FRICAS_CHECK_PROG
	and FRICAS_CHECK_PROGS for better error checking.

2008-09-25  Bill Page <bill.page@newsynthesis.org>
            Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-coerce.boot:  Improve coercion of
	types.
	src/algebra/mkfunc.spad.pamphlet:  Use 
	'typeToInputForm', add 'getType' function and functions
	corresponding to '@', '::' and 'pretend'.
	src/input/bugs2008.input.pamphlet,
	src/algebra/mkfunc.spad.pamphlet:  Add tests

2008-09-25  Martin Rubey  <martin.rubey@univie.ac.at>
            Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* src/interp/i-analy.boot, src/interp/i-eval.boot,
	src/interp/i-spec1.boot:  Allow calling type-valued
	functions.
	src/interp/util.lisp: isCategoryForm now triggers
	autoloading of the compiler.
	src/input/bugs2008.input.pamphlet,
	src/input/bugs2008-ExportType.spad:  Add test.
	src/input/Makefile.in:  Adjust.

2008-09-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/input/newlodo.input.pamphlet:  Delete, was a duplicate
	of lodo.input.pamphlet.
	src/input/Makefile.in:  Adjust.

2008-09-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/bootfuns.lisp, src/interp/buildom.boot,
	src/interp/category.boot, src/interp/compiler.boot,
	src/interp/define.boot, src/interp/def.lisp,
	src/interp/i-eval.boot, src/interp/i-funsel.boot,
	src/interp/i-intern.boot, src/interp/i-syscmd.boot,
	src/interp/setq.lisp, src/interp/spad.lisp,
	src/interp/trace.boot, src/interp/wi1.boot,
	src/interp/wi2.boot:  Misc cleanups.

2008-09-24  Martin Rubey  <martin.rubey@univie.ac.at>

	* contrib/emacs/fricas.el: fixes for gcl and for emacs 21. Escapes
	in fricas-marker-format-function are not safe. Startup still fails
	sometimes.

2008-09-24  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/input/bugs2007.input.pamphlet: update expected() to take
	into account the fixed test for #293 from rev 366.

2008-09-24  Martin Rubey  <martin.rubey@univie.ac.at>	

	* src/algebra/mantepse.spad.pamphlet: add link to article, make
	defaults of guess reasonable.

2008-09-24  Martin Rubey  <martin.rubey@univie.ac.at>

	* contrib/emacs/fricas-comint-failed-attempt.el: removed again
	(put in only to have it documented).

2008-09-24  Martin Rubey  <martin.rubey@univie.ac.at>
	* contrib/emacs/fricas.el,
	contrib/emacs/fricas-comint-failed-attempt.el: more documentation,
	better escapes
	* contrib/emacs/axiom.el: fix typo and add reference to fricas.el.

2008-09-23  Martin Rubey  <martin.rubey@univie.ac.at>

	* contrib/emacs/fricas.el: fix saving and loading of
	worksheets. Should be mostly working now.

	* contrib/emacs/fricas.el: first version of loading worksheets.

2008-09-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* bugs2007.input.pamphlet: issue 408: Increase accuracy of
	numerical tests.

2008-09-23  Martin Rubey  <martin.rubey@univie.ac.at>

	* contrib/emacs/fricas.el, contrib/emacs/fricas-cpl.el: more
	documentation.

2008-09-22  Martin Rubey  <martin.rubey@univie.ac.at>
            Francois Maltey <fmaltey@nerim.fr>
	
	* contrib/emacs/fricas.el: some bugfixes and more documentation.
	
2008-09-22  Martin Rubey  <martin.rubey@univie.ac.at>
            Francois Maltey <fmaltey@nerim.fr>

	* contrib/emacs/fricas-cpl.el, contrib/emacs/fricas.el,
	src/interp/parsing.lisp, src/interp/util.lisp,
	src/share/doc/msgs/s2-us.msgs: add a new emacs mode and fix a few
	leftovers.  Just (require 'fricas), M-x fricas and enjoy.

2008-09-19  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/interp/int-top.boot: remove ioHook(endOfOutput), since there
	seems to be a problem with long input lines, and the ioHook I send
	would be long for the emacs mode then...

2008-09-19  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Better unparsing.
	* src/interp/format.boot: sumOrParen(), productOrParen(),
	powerOrParen(), coerceOrParen(), appOrParen(): New functions.
	binop2String(): call sumOrParen insted of Fortran machinery.
	form2String1(): Handle package calls.
	application2String(): Likewise, add parentheses also in
	one argument case.

2008-09-19  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/boo-cat.input: Remove nonexistent categories
	from the list.

2008-09-19  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/interp/ht-util.boot, src/interp/i-toplev.boot,
	src/interp/i-util.boot, src/interp/int-top.boot,
	src/interp/msgdb.boot, src/interp/server.boot: Add more markers to
	support new emacs mode.

2008-09-18  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/lisplib.boot: Avoid spurious nil attributes
	(fixes problem introuduced in rev. 368).

2008-09-17  Bill Page <bill.page@newsynthesis.org>
            Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/fortpak.spad.pamphlet,
	* src/algebra/mkfunc.spad.pamphlet: export parse

2008-09-16  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/define.boot, src/interp/lisplib.boot,
	src/interp/patches.lisp, src/interp/wi2.boot: Misc
	cleanups.

2008-09-16  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/fortcall.boot: writeCFile(): Remove spurious
	parenthesis.

2008-09-15  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/input/bugs2007.input.pamphlet: fix bad test (#293)

2008-09-15  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/algebra/sex.spad.pamphlet: fix regression from previous
	patch (removal of intp and rnump)

2008-09-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/clam.boot, src/interp/comp.lisp,
	src/interp/c-util.boot, src/interp/debug.lisp,
	src/interp/g-timer.boot, src/interp/i-coerce.boot,
	src/interp/i-output.boot, src/interp/i-syscmd.boot,
	src/interp/i-util.boot, src/interp/macros.lisp,
	src/interp/msgdb.boot, src/interp/nrungo.boot,
	src/interp/slam.boot, src/interp/vmlisp.lisp:
	Misc cleanups.

2008-09-10  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/debug.lisp, src/interp/preparse.lisp
	src/interp/vmlisp.lisp: Eliminate DCQ and DSETQ macros.
	src/interp/comp.lisp: Likewise, move COMP-1 and COMP-2
	src/interp/g-boot.boot: to here (and translate to Boot).

2008-09-09  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/interp/br-op1.boot, src/interp/i-coerce.boot,
	src/interp/i-eval.boot, src/interp/i-spec1.boot,
	src/interp/interop.boot, src/interp/macros.lisp,
	src/interp/nrunfast.boot, src/interp/nrunopt.boot,
	src/interp/showimp.boot: optimize SPADCALL, it expects now that
	it's last argument really is a function, rather than a symbol
	designating a function name.  This might introduce bugs in the
	interpreter, but the algebra should run ok.

	* configure.ac, configure, src/interp/nlib.lisp,
	src/lisp/Makefile.in: introduce configure option
	with-algebra-optimization to let the lisp compiler optimize the
	algebra. (thanks to Waldek)

	* src/algebra/attribs.spad.pamphlet, src/algebra/boo-nilcat.spad,
	src/algebra/coerce.spad.pamphlet, src/interp/fnew.meta,
	src/interp/fnewmeta.lisp: introduce syntax with () for empty
	categories and use it.

	src/interp/as.boot, src/interp/daase.lisp,
	src/interp/g-cndata.boot, src/interp/interop.boot,
	src/interp/interp-proclaims.lisp: fix aldor-interface by removing
	references to *ATTRIBUTES*.

2008-09-07  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/attribs.spad.pamphlet: New file defining
	categories which replace attributes.
	src/algebra/attreg.spad.pamphlet: Remove.
	src/algebra/aggcat.spad.pamphlet,
	src/algebra/array2.spad.pamphlet,
	src/algebra/bezout.spad.pamphlet,
	src/algebra/card.spad.pamphlet,
	src/algebra/catdef.spad.pamphlet,
	src/algebra/defaults.spad.pamphlet,
	src/algebra/files.spad.pamphlet,
	src/algebra/float.spad.pamphlet,
	src/algebra/fortpak.spad.pamphlet,
	src/algebra/fortran.spad.pamphlet,
	src/algebra/fourier.spad.pamphlet,
	src/algebra/fraction.spad.pamphlet,
	src/algebra/gaussian.spad.pamphlet,
	src/algebra/integer.spad.pamphlet,
	src/algebra/interval.spad.pamphlet,
	src/algebra/lie.spad.pamphlet,
	src/algebra/lmdict.spad.pamphlet,
	src/algebra/matcat.spad.pamphlet,
	src/algebra/matrix.spad.pamphlet,
	src/algebra/mset.spad.pamphlet,
	src/algebra/multpoly.spad.pamphlet,
	src/algebra/naalgc.spad.pamphlet,
	src/algebra/newdata.spad.pamphlet,
	src/algebra/perman.spad.pamphlet,
	src/algebra/polset.spad.pamphlet,
	src/algebra/poly.spad.pamphlet,
	src/algebra/polycat.spad.pamphlet,
	src/algebra/rep1.spad.pamphlet,
	src/algebra/sf.spad.pamphlet,
	src/algebra/si.spad.pamphlet,
	src/algebra/solvelin.spad.pamphlet,
	src/algebra/sortpak.spad.pamphlet,
	src/algebra/stream.spad.pamphlet,
	src/algebra/table.spad.pamphlet,
	src/algebra/transsolve.spad.pamphlet,
	src/algebra/tree.spad.pamphlet,
	src/algebra/triset.spad.pamphlet,
	src/algebra/vector.spad.pamphlet,
	src/algebra/xlpoly.spad.pamphlet: Replace attributes
	by categories.
	src/algebra/Makefile.in, src/algebra/boo-cat.input: Adjust.
	src/hyper/pages/ug12.ht: Replace "commutative(*)" by
	"CommutativeStar".
	src/input/i-bugs2008.input.pamphlet: Replace ATTREG by TYPE.
	src/interp/br-op1.boot,
	src/interp/br-util.boot,
	src/interp/c-util.boot,
	src/interp/category.boot,
	src/interp/cattable.boot,
	src/interp/compiler.boot,
	src/interp/daase.lisp,
	src/interp/define.boot,
	src/interp/info.boot,
	src/interp/interop.boot,
	src/interp/nrunfast.boot,
	src/interp/nrunopt.boot,
	src/interp/parse.boot: Remove attribute support.
	src/interp/database.boot:getDomainFromMm(): Work around
	to avoid regression with finding exposed 'map!'.

2008-09-07  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/nlib.lisp, src/interp/def.lisp,
	src/interp/setvars.boot, src/interp/wi2.boot,
	src/interp/br-saturn.boot, src/interp/g-timer.boot,
	src/interp/g-error.boot, src/interp/setq.lisp,
	src/interp/vmlisp.lisp: Misc cleanups.

2008-09-06  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/g-util.boot, src/interp/nruncomp.boot,
        src/interp/parse.boot, src/interp/vmlisp.lisp:
	Misc fixes.

2008-09-05  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/boot/ptyout.boot: bpOutItem(): handle
	SETANDFILEQ, SETQ, DEFPARAMETER, DEFCONSTANT.
	src/boot/typars.boot, src/boot/typrops.boot: do not
	mangle NE.
	src/boot/tytree1.boot: bfWhere(): Also rename bodys
	of argumentless functions.

2008-09-04  Martin Rubey  <martin.rubey@univie.ac.at>
	    Ralf Hemmecke  <ralf@hemmecke.de>

	* Makefile.in, configure.ac, configure, src/Makefile.in,
	src/aldor, src/hyper/pages/ug16.ht, src/interp/ax.boot.tex,
	src/interp/foam_l.lisp, src/interp/setvars.boot,
	src/interp/setvart.boot, src/lisp/fricas-package.lisp: merge
	Ralf's wonderful new Aldor interface

	Martin Rubey  <martin.rubey@univie.ac.at>

	* src/interp: eliminate use of prefix ^ as negation operator in
	boot code, disallow ^ as prefix operator.

            Gabriel Dos Reis  <gdr@cs.tamu.edu>
	* src/algebra: eliminate use of prefix ^ as negation operator in
	algebra code

2008-09-03  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
            Bill Page  <bill.page@newsynthesis.org>

        Eliminate Fortran names in unparsed output.
	* src/interp/format.boot: binop2String() : New
	function.
	form2String1(): Use it.

2008-09-03  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/sf.spad.pamphlet,
	src/interp/cfuns.lisp, src/interp/debug.lisp,
	src/interp/def.lisp, src/interp/functor.boot,
	src/interp/g-error.boot, src/interp/g-timer.boot,
	src/interp/interop.boot, src/interp/macros.lisp,
	src/interp/nlib.lisp, src/interp/patches.lisp,
	src/interp/postpar.boot, src/interp/trace.boot,
	src/interp/vmlisp.lisp: Misc cleanups.

2008-09-02  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/sex.spad.pamphlet: Do not define
	representation.

2008-09-02  Alfredo Portes  <alfredo.portes@gmail.com>

	* src/hyper/pages/util.ht: Correct path to spadclient.

2008-08-31  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/algebra/ore.spad.pamphlet: Fix issue #431 - exponentiation
	in ORESUP
	* src/input/i-bugs2008.input.pamphlet: Add test.

2008-08-29  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/op.spad.pamphlet: Fix regression in
	printing Gamma.
	* src/input/i-bugs2008.input.pamphlet: Add test.

2008-08-27  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/nocompil.lisp: Remove.
	* src/interp/bootfuns.lisp, src/interp/br-con.boot,
	src/interp/br-data.boot, src/interp/category.boot,
	src/interp/compiler.boot, src/interp/daase.lisp,
	src/interp/debug.lisp, src/interp/define.boot,
	src/interp/functor.boot, src/interp/g-timer.boot,
	src/interp/interop.boot, src/interp/lisplib.boot,
	src/interp/Makefile.in, src/interp/nruncomp.boot,
	src/interp/nrunfast.boot, src/interp/nrungo.boot,
	src/interp/nrunopt.boot, src/interp/package.boot,
	src/interp/parse.boot, src/interp/setq.lisp,
	src/interp/setvars.boot, src/interp/setvart.boot,
	src/interp/spad.lisp, src/interp/wi1.boot,
	src/interp/wi2.boot: Misc cleanups.

2008-08-27  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/compiler.boot: Report error if colon
	conversion appears in Spad source.
	* src/algebra/card.spad.pamphlet,
	src/algebra/ddfact.spad.pamphlet,
	src/algebra/degred.spad.pamphlet,
	src/algebra/eigen.spad.pamphlet,
	src/algebra/fnla.spad.pamphlet,
	src/algebra/formula.spad.pamphlet,
	src/algebra/gaussfac.spad.pamphlet,
	src/algebra/gdpoly.spad.pamphlet,
	src/algebra/ideal.spad.pamphlet,
	src/algebra/idecomp.spad.pamphlet,
	src/algebra/irsn.spad.pamphlet,
	src/algebra/lingrob.spad.pamphlet,
	src/algebra/lodop.spad.pamphlet,
	src/algebra/mappkg.spad.pamphlet,
	src/algebra/moddfact.spad.pamphlet,
	src/algebra/modmon.spad.pamphlet,
	src/algebra/multsqfr.spad.pamphlet,
	src/algebra/naalg.spad.pamphlet,
	src/algebra/npcoef.spad.pamphlet,
	src/algebra/numeigen.spad.pamphlet,
	src/algebra/out.spad.pamphlet,
	src/algebra/perman.spad.pamphlet,
	src/algebra/permgrps.spad.pamphlet,
	src/algebra/pfbr.spad.pamphlet,
	src/algebra/pfr.spad.pamphlet,
	src/algebra/poly.spad.pamphlet,
	src/algebra/polycat.spad.pamphlet,
	src/algebra/radeigen.spad.pamphlet,
	src/algebra/realzero.spad.pamphlet,
	src/algebra/rep2.spad.pamphlet,
	src/algebra/sf.spad.pamphlet,
	src/algebra/stream.spad.pamphlet,
	src/algebra/sturm.spad.pamphlet,
	src/algebra/tree.spad.pamphlet,
	src/algebra/twofact.spad.pamphlet,
	src/algebra/unifact.spad.pamphlet,
	src/algebra/weier.spad.pamphlet,
	src/algebra/xlpoly.spad.pamphlet,
	src/algebra/xpoly.spad.pamphletr: Eliminate use of colon
	convertions.

2008-08-27  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/hyper/pages/man0.ht: Use full path to htsearch
	program.

2008-08-27  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/scripts/mkdist.sh: Update to new names of Lisp
	output files.

2008-08-26  Bill Page  <bill.page@newsynthesis.org>

	* src/interp/daase.lisp: Re-add two lines accidentaly
	removed in previous commit.

2008-08-04  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/boot/tytree1.boot, src/hyper/htinp.c,
	src/interp/astr.boot, src/interp/bootfuns.lisp,
	src/interp/bootlex.lisp, src/interp/buildom.boot,
	src/interp/category.boot, src/interp/clam.boot,
	src/interp/comp.lisp, src/interp/daase.lisp,
	src/interp/define.boot, src/interp/def.lisp,
	src/interp/g-util.boot, src/interp/i-coerce.boot,
	src/interp/i-intern.boot, src/interp/i-syscmd.boot,
	src/interp/i-util.boot, src/interp/lisplib.boot,
	src/interp/macros.lisp, src/interp/msg.boot,
	src/interp/msgdb.boot, src/interp/newfort.boot,
	src/interp/nocompil.lisp, src/interp/patches.lisp,
	src/interp/pathname.boot, src/interp/property.lisp,
	src/interp/ptrees.boot, src/interp/record.boot,
	src/interp/setq.lisp, src/interp/setvars.boot,
	src/interp/setvart.boot, src/interp/slam.boot,
	src/interp/spaderror.lisp, src/interp/spad.lisp,
	src/interp/sys-pkg.lisp, src/interp/trace.boot,
	src/interp/union.lisp, src/interp/util.lisp,
	src/interp/vmlisp.lisp, src/interp/wi1.boot,
	src/interp/wi2.boot: Misc cleanups.

2008-08-04  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/lib/XDither.c, src/lib/XShade.c,
	src/lib/XSpadFill.c: Do not include Xt headers.

2008-08-03  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/boot-sum.in, src/algebra/Makefile.in,
	src/etc/Makefile.in, src/interp/daase.lisp,
	src/interp/lisplib.boot, src/interp/nlib.lisp: Change
	name of generated Lisp file from 'XYZ.NRLIB/code.lsp'
	to 'XYZ.NRLIB/XYZ.lsp'.

2008-07-29  Gregory Vanuxem  <g.vanuxem@wanadoo.fr>

	* src/hyper/event.c: Add support for mouse wheel.

2008-07-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/fnew.meta, src/interp/fnewmeta.lisp: Remove
	support for using '$' as selector.

2008-07-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* Makefile.in: install: fix install without X support.

2008-07-22  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/br-data.boot, src/interp/br-saturn.boot
	src/interp/c-doc.boot, src/interp/util.lisp: Remove
	use of 'machine-type'.

2008-07-17  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/algebra/Makefile.in, src/algebra/table.spad.pamphlet,
	src/input/Makefile.in: make equality in Table (actually, HashTable
	and descendents) when hashing is possible independent of the
	internal order of the keys.

2008-07-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/bootlex.lisp, src/interp/category.boot
	src/interp/c-util.boot, src/interp/daase.lisp
	src/interp/debug.lisp, src/interp/fortcall.boot
	src/interp/i-syscmd.boot, src/interp/metalex.lisp
	src/interp/parini.boot, src/interp/parsing.lisp
	src/interp/pathname.boot, src/interp/setq.lisp
	src/interp/slam.boot, src/interp/trace.boot:
	Misc cleanups.

2008-06-22  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Workaround for graphic hang.
	* src/graph/viewman/viewman.c: main(): close viewport on failed
	readViewport.

2008-06-13  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Implement multiple precision Gamma.
	* src/algebra/special2.spad.pamphlet: New file.
	* src/algebra/Makefile.in, src/algebra/exposed.lsp.pamphlet:
	Adjust.

2008-06-11  Bill Page  <bill.page@newsynthesis.org>

        Fix issue 117.
	* src/algebra/vector.spad.pamphlet (DirectProductCategory):
	Also a Monoid if base type belongs to Monoid.
	(DirectProduct): Implement multiplication if base type belongs to
	Monoid.

2008-06-10  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/boo-cat.input, src/algebra/catdef.spad.pamphlet,
	src/algebra/Makefile.in: Add semirings (SemiRng and SemiRing).

2008-06-10  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
            Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* src/algebra/boo-cat.input, src/algebra/catdef.spad.pamphlet,
	src/algebra/Makefile.in:  Port from OpenAxiom, add
	OrderedSemiGroup.

2008-05-28  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* configure.ac: Refer to INSTALL instead of README.wh
	* configure.ac.pamphlet: rename to confignotes.tex.

2008-05-21  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/lisp/fricas-package.lisp: Fix build with Closure CL
	1.2.

2008-05-21  Ralf Hemmecke  <ralf@hemmecke.de>

	* src/algebra/Makefile.pamphlet: ${OUTSRC}/%.spad: Delete
	useless rule.

2008-05-21  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* */Makefile.pamphlet: Rename to */Makenotes.tex.

2008-05-19  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/interp/Makefile.in: add foam_l and axext_l to DEP, because
	otherwise the aldor interface won't work (FUNCALL [or a callee]
	requires more than one argument.)

2008-05-13  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* configure.ac, Makefile.in, src/algebra/Makefile.in,
	src/clef/Makefile.in, src/graph/Gdraws/Makefile.in,
	src/graph/Makefile.in, src/graph/view2D/Makefile.in,
	src/graph/view3D/Makefile.in, src/graph/viewAlone/Makefile.in,
	src/graph/viewman/Makefile.in, src/hyper/Makefile.in,
	src/interp/Makefile.in, src/lib/Makefile.in,
	src/lisp/Makefile.in, src/sman/Makefile.in: Fix 'clean' target.

2008-05-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/algext.spad.pamphlet,
	src/algebra/ffcat.spad.pamphlet,
	src/algebra/ffnb.spad.pamphlet,
	src/algebra/fortran.spad.pamphlet,
	src/algebra/newpoly.spad.pamphlet,
	src/algebra/polset.spad.pamphlet,
	src/algebra/regset.spad.pamphlet,
	src/algebra/sregset.spad.pamphlet,
	src/algebra/tex.spad.pamphlet,
	src/algebra/triset.spad.pamphlet,
	src/algebra/xlpoly.spad.pamphlet: Eliminate use of
	'$$'.

2008-05-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/ax.boot, src/interp/br-op2.boot,
	src/interp/br-search.boot, src/interp/category.boot,
	src/interp/c-doc.boot, src/interp/clammed.boot,
	src/interp/c-util.boot, src/interp/interop.boot,
	src/interp/newfort.boot: Misc cleanups.

2008-05-08  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/intef.spad.pamphlet: lfextendedint(): 
	when integrating rational functions use only logarithms
	of rational functions.

2008-05-07  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/etc/Makefile.in: stamp-databases: Avoid error
	when 'USERS.DAASE' or 'DEPENDENTS.DAASE' already
	exist.

2008-05-05  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/fnew.meta: Remove support for floating point
	numbers without leading digit.
	* src/interp/fnewmeta.lisp: Regenerate.
	* src/algebra/acplot.spad.pamphlet: Add leading zero to
	'EPSILON'.

2008-04-24  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/include/edible.h: Add extra key definitions.
	* src/lib/edin.c: do_reading(): Handle '^A', '^E' and
	xterm 'End' key.

2008-04-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/hyper/Makefile.in: ht.db: copy bitmaps separately
	(avoid recursive copy).

2008-04-16  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/algebra/aggcat.spad.pamphlet: correct definition of
	random$FiniteSetAggregate

2008-04-11  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/fnew.meta: Simplify parsing.
	* src/interp/fnewmeta.lisp: Regenerate.

2008-04-10  Juergen Weiss

	* src/interp/newaux.lisp: Increase right binding
	power of '+->'.

2008-04-02  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/bootfuns.lisp, src/interp/apply.boot,
	src/interp/int-top.boot, src/interp/modemap.boot,
	src/interp/wi2.boot, src/interp/parse.boot,
	src/interp/i-toplev.boot, src/interp/setq.lisp,
	src/interp/define.boot, src/interp/lisplib.boot,
	src/interp/wi1.boot, src/interp/spaderror.lisp:
	Misc cleanups.

2008-03-31  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/boot/ptyout.boot, src/interp/database.boot,
	src/interp/nrungo.boot, src/interp/scan.boot,
	src/interp/vmlisp.lisp: Misc cleanups.

2008-03-31  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/preparse.lisp: Fake support for ')package'
	command in old Boot.

2008-03-29  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* configure.ac: AWK_FOR_TARGET, AUTO_GOOD_SHELL: new
	configuration variables.
	* config/var-def.mk: propagate them as TARGET_AWK
	and GOOD_SHELL.
	* src/hyper/presea: rename to presea.in, use TARGET_AWK.
	* src/algebra/boot-sum.sh: use GOOD_SHELL.
	* src/hyper/Makefile.in, src/algebra/Makefile.in: Adjust.

2008-03-29  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/clef/edible.c.pamphlet, src/sman/sman.c.pamphlet,
	src/sman/session.c.pamphlet, src/sman/spadclient.c.pamphlet:
	Unwrap and replace by the content.
	* src/clef/Makefile.in, src/sman/Makefile.in: Adjust.

2008-03-28  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/graph/*/*.c.pamphlet: Unwrap and replace by the C
	files.
	* src/graph/*/Makefile.in: Adjust.

2008-03-28  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/hyper/*.pamphlet: Unwrap and replace by the content.
	* src/hyper/Makefile.in: Adjust.

2008-03-28  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/apply.boot, src/interp/bootfuns.lisp,
	src/interp/compiler.boot, src/interp/comp.lisp,
	src/interp/c-util.boot, src/interp/define.boot,
	src/interp/def.lisp, src/interp/functor.boot,
	src/interp/g-opt.boot, src/interp/g-util.boot,
	src/interp/i-map.boot, src/interp/i-output.boot,
	src/interp/macros.lisp, src/interp/newaux.lisp,
	src/interp/nruncomp.boot, src/interp/nrungo.boot,
	src/interp/nspadaux.lisp, src/interp/parse.boot,
	src/interp/patches.lisp, src/interp/postpar.boot,
	src/interp/property.lisp, src/interp/pspad1.boot,
	src/interp/sys-pkg.lisp, src/interp/vmlisp.lisp,
	src/interp/wi1.boot, src/interp/wi2.boot: Misc cleanups.

2008-03-26  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/boot/compiled: New directory.
        * src/boot/*.boot.pamphlet: Unwrap and replace by the
	corresponding .boot file.  Put the cached Lisp file
	in the compiled subdirectory.
	* src/boot/initial-env.lisp.pamphlet: Unwrap.
	* src/boot/Makefile.in: Adjust.

2008-03-19  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/lib/cfuns-c.c, src/lib/XDither.c,
	src/lib/XShade.c, src/hyper/halloc.pamphlet,
	src/graph/viewman/cleanup.c.pamphlet: do not
	include malloc.h.

2008-03-18  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* Makefile.in: Install each file using INSTALL_PROGRAM,
	INSTALL_DATA or INSTALL_SCRIPT (as appropriate).

2008-03-18  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/Makefile.in, src/etc/Makefile.in,
	src/hyper/Makefile.in, src/interp/Makefile.in,
	src/lisp/Makefile.in, src/share/Makefile.in:
	Avoid using INSTALL_PROGRAM, INSTALL_DATA and
	INSTALL_SCRIPT during build.

2008-03-07  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/*.spad.pamphlet: Replace tabs by spaces,
	replace whitespace-only lines by empty lines.

2008-03-07  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/listgcd.spad.pamphlet: internal(): Add check
	for bad reduction.

2008-03-03  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/buildom.boot src/interp/compiler.boot,
	src/interp/debug.lisp, src/interp/functor.boot,
	src/interp/g-util.boot, src/interp/i-output.boot,
	src/interp/i-spec2.boot, src/interp/lisplib.boot,
	src/interp/macros.lisp, src/interp/modemap.boot,
	src/interp/nlib.lisp, src/interp/patches.lisp,
	src/algebra/fname.spad.pamphletr: Misc cleanups, move
	DEFSTREAM, NOTE and POINT from macros.lisp to
	debug.lisp.

2008-03-02  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/mlift.spad.pamphlet: Use explicit import.
	* src/interp/define.boot: doIt(): Change warning about
	missing 'import' to error.

2008-02-27  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-util.boot: Remove $newCompilerUnionFlag,
	orderUnionEntries. Clean up.
	* src/interp/buildom.boot, src/interp/compiler.boot,
	src/interp/i-coerce.boot: Adjust.

2008-02-27  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/vmlisp.lisp: Remove tabs.

2008-02-26  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/sys-pkg.lisp, src/interp/vmlisp.lisp:
	Remove ECQ macro.

2008-02-26  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/br-op1.boot, src/interp/br-saturn.boot,
	src/interp/cfuns.lisp, src/interp/cstream.boot,
	src/interp/debug.lisp, src/interp/g-opt.boot,
	src/interp/g-util.boot, src/interp/i-coerfn.boot,
	src/interp/i-spec2.boot, src/interp/i-syscmd.boot,
	src/interp/package.boot, src/interp/parsing.lisp,
	src/interp/property.lisp, src/interp/sys-pkg.lisp,
	src/interp/vmlisp.lisp: Remove useless code.

2008-02-26  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/view2D.spad.pamphlet,
	src/algebra/view3D.spad.pamphlet: Use _$ViewportServer
	instead of VIEWPORTSERVER.

2008-02-26  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/category.boot: mkCategory(): Use correct
	count.

2008-02-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/bootfuns.lisp, src/interp/clammed.boot,
	src/interp/debug.lisp, src/interp/i-analy.boot,
	src/interp/i-coerce.boot, src/interp/i-eval.boot,
	src/interp/i-spec1.boot, src/interp/i-spec2.boot,
	src/interp/i-syscmd.boot, src/interp/i-toplev.boot,
	src/interp/newaux.lisp, src/interp/packtran.boot,
	src/interp/parse.boot, src/interp/parsing.lisp,
	src/interp/pathname.boot, src/interp/property.lisp,
	src/interp/rulesets.boot, src/interp/setq.lisp,
	src/interp/setvars.boot, src/interp/spad.lisp:
	Remove unused code.

2008-02-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/view2D.spad.pamphlet,
	src/algebra/view3D.spad.pamphlet, src/interp/sockio.lisp
        src/lisp/fricas-lisp.lisp, src/lisp/fricas-package.lisp:
	Normalize names of socket functions.

2008-02-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/bootlex.lisp, src/interp/newaux.lisp: Remove
	support for altenative spelling of brackts and braces.
	* src/interp/fnew.meta, src/interp/fnewmeta.lisp: Remove
	support for 'Scripts' syntax.
	* src/interp/postpar.boot: Likewise.  Remove support for
	APL like syntax.

2008-02-21  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/etc/axiom: Disable graphics when viewman is
	missing.

2008-02-21  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Fix issue 292.
	* src/algebra/defintef.spad.pamphlet: checkForPole(),
	checkSMP(): handle powers.

2008-02-21  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Add support for 'nopile' syntax.
	* src/interp/incl.boot, src/interp/scan.boot: Allow parenthesis
	at the start of a line.
	* src/interp/i-syscmd.boot, src/interp/setq.lisp: Add ')piles'
	and ')nopiles' command
	* src/interp/pile.boot: Handle it.

2008-02-19  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/sfsfun.boot: Use double-float version of pi.

2008-02-19  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Avoid name conflict with Debian clisp.
	* src/include/sockio-c.H1, src/lib/sockio-c.c,
	src/sman/sman.c.pamphlet: Rename 'accept_connection'
	to 'fricas_accept_connection'.

2008-02-19  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/hyper/htinp.pamphlet: Deactivate use of IBM
	codepage in HyperDoc pages.

2008-02-15  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Speed up lookup in environment.
	* src/interp/compiler.boot, src/interp/g-util.boot,
	src/interp/i-intern.boot: Use '$envHashTable' to cache
	information about absence of properties.

2008-02-15  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Speed up mkCategory.
	* src/interp/category.boot: sigParams(): New function,
	use hash table to eliminate duplicates.
	mkCategory(): move part of the code to sigParams.

2008-02-14  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/lisp/fricas-lisp.lisp: For clisp set *LOAD-VERBOSE*
	to nil.

2008-02-14  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	Fix issue 272.
	* interp/i-spec1.boot (compileADEFBody): Don't evaluate unnamed
	functions.  Compile them instead.

2008-02-13  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/lisp/fricas-lisp.lisp, src/interp/util.lisp,
	src/interp/i-syscmd.boot: Eliminate tabs.

2008-02-13  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/boot/initial-env.lisp.pamphlet: Eliminate use
	of 'defpackage'.

2008-02-09  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Misc cleanups.
	* src/interp/apply.boot: Deactivate unused code.
	* src/interp/bc-util.boot: Remove unused code.
	* src/interp/bootfuns.lisp: Likewise.
	* src/interp/br-con.boot: Likewise.
	* src/interp/c-util.boot: Likewise.
	* src/interp/category.boot: Likewise.
	* src/interp/cattable.boot: Likewise.
	* src/interp/compiler.boot: Likewise.
	* src/interp/debug.lisp: Likewise.
	* src/interp/define.boot: Likewise.
	* src/interp/g-util.boot: Likewise.
	* src/interp/i-resolv.boot: Likewise.
	* src/interp/int-top.boot: Likewise.
	* src/interp/msg.boot: Likewise.
	* src/interp/msgdb.boot: Likewise.
	* src/interp/pf2sex.boot: Likewise.
	* src/interp/property.lisp: Likewise.
	* src/interp/setq.lisp: Likewise.
	* src/interp/setvars.boot: Likewise.
	* src/interp/setvart.boot: Likewise.
	* src/interp/spad.lisp: Likewise.
	* src/interp/sys-pkg.lisp: Likewise.
	* src/interp/vmlisp.lisp: Likewise.
	* src/interp/wi1.boot: Likewise.
	* src/interp/varini.boot: Remove.
	* src/interp/Makefile.in: Adjust.

2008-02-09  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/boot/Makefile.in: Avoid uselessly repeating bootstrap.

2008-02-09  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* configure.ac: Build shared libspad for openmcl.
	* src/lisp/fricas-lisp.lisp: Add macros to support FFI,
	rewrite most foreign definitions using them.  Move
	|sockGetStringFrom| here and add ECL and openmcl versions.
	* src/lisp/fricas-package.lisp: Export foreign function.
	* src/lisp/Makefile.in: For GCL load 'fricas-lisp.lisp'
	before compiling to define macros.
	* src/interp/ffi-func.lisp: Remove.
	* src/interp/ffi-func2.lisp: Remove.
	* src/interp/Makefile.in: Adjust.
	* src/interp/util.lisp: fricas-init(): Simplify loading of
	shared libspad and server initialization.
	* src/interp/sockio.lisp: Remove now unneeded functions.
	* src/interp/cfuns.lisp: Likewise.

2008-02-07  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/lib/cfuns-c.c: make_path_from_file(): Fix a typo.

2008-02-06  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/algebra/matcat.spad.pamphlet,
	src/algebra/matrix.spad.pamphlet: add support for Pfaffians and
	some testcases

	* src/input/bugs2007.input.pamphlet: add expected statistics

2008-02-04  Arthur C. Ralfs  <arthur@mathbrane.ca>

	* src/algebra/mathml.spad.pamphlet: Add extra parentheses
	to disambiguate output.

2008-02-04  Arthur C. Ralfs  <arthur@mathbrane.ca>

	* src/algebra/mathml.spad.pamphlet: Display Gamma as greek
	letter.

2008-02-04  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/lisp/fricas-lisp.lisp: relative-to-absolute(): use
	better test for absolute paths.
	* src/interp/Makefile.in: Add missing $BASE in output
	path for autoloaded files.

2008-01-30  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/boot/Makefile.in: Add $(BASE) to final bootsys target.

2008-01-30  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/algebra/Makefile.in, src/algebra/matcat.spad.pamphlet,
	src/algebra/matrix.spad.pamphlet, src/input/Makefile.in: add
	columnSpace, add regression test, correct doc, adjust makefiles.

2008-01-28  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/lib/Makefile.in: add @axiom_c_runtime_extra@ to shared
	libspad link command.

2008-01-28  Martin Rubey  <martin.rubey@univie.ac.at>

	* INSTALL: correct hint to extra library libgmp3-dev (thanks Avi)
	
2008-01-28  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/boot/ptyout.boot.pamphlet: BOOT(): correct numbers
	of arguments in call to BOOTTOCL.

2008-01-27  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/boot/Makefile.in: Fix gcl breakage introduced in
	revision 211.

2008-01-27  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Add separate init function.
	* src/interp/util.lisp: fricas-init(): new function.
	fricas-restart(): call it.

2008-01-27  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/boot/Makefile.in: Avoid copying executables.
	* src/boot/ptyout.boot.pamphlet: BOOTTOCLLINES(), 
	BOOTTOCL(), BOOTCLAM(), BOOTCLAMLINES(): Add output
	argument, do not touch *READ-DEFAULT-FLOAT-FORMAT*
	* src/boot/boot-proclaims.lisp: Adjust.

2008-01-27  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/lisp/axiom-lisp.lisp: rename to fricas-lisp.lisp
	* src/lisp/axiom-package.lisp: rename to fricas-package.lisp
	* src/lisp/fricas-lisp.lisp, src/lisp/fricas-package.lisp,
	src/lisp/Makefile.in: change names, 'axiom*' to 'fricas*'
	* configure.ac, config/var-def.mk, src/scripts/document.in, 
	src/scripts/document.in, src/boot/Makefile.in,
	src/boot/initial-env.lisp.pamphlet, src/interp/Makefile.in,
	src/interp/sys-pkg.lisp, src/interp/nlib.lisp,
	src/interp/fname.lisp: Adjust
	* src/interp/util.lisp: Adjust, rename 'axiom-restart' to
	'fricas-restart'.

2008-01-26  Martin Rubey  <martin.rubey@univie.ac.at>

	* INSTALL.CYGWIN: add detailed instructions for building from svn
	under MS Windows/cygwin

	* src/input/elemnum.input.pamphlet: convert to new regression test
	format

	* src/algebra/unittest.spad.pamphlet: add testLibraryError and
	testcaseNoClear, fix display glitches, add new warnings

	* src/algebra/string.spad.pamphlet: fix #97 also for sbcl (clean
	build needed, it seems)

	* src/input/bugs2007.input.pamphlet: update regression test for
	#293 (Moll's integral)

	* src/algebra/laplace.spad.pamphlet,
	src/input/bugs2007.input.pamphlet: add rule for laplace(log s, s,
	t), update regression test

	* src/input/bugs2008.input.pamphlet,
	src/input/i-bugs2008.input.pamphlet: add tests for #272, #97, #311

2008-01-24  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/algebra/matcat.spad.pamphlet: Add overview over constructors
	related to matrices.

2008-01-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Makefile fixes and cleanup.
	* src/interp/Makefile.in: Compile Lisp files specifying
	output argument, to avoid copying.  Update lists of
	files.  Fix clean rule.
	* src/interp/util.lisp: Do not prepend 'nocompil' to
	the list of object files.
	* src/lisp/axiom-lisp.lisp: Add output argument to
	'load-maybe-compiling'. Add 'maybe-compile' function.
	* src/lisp/axiom-package.lisp: Export 'maybe-compile'.
	* src/interp/axext_l.lisp: Fix order of definitions.
	* src/algebra/Makefile.in: Do not copy Lisp files for
	in-source build.

2008-01-22  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Add support for input/output markers.
	* src/interp/int-top.boot: Add ioHook function. Call it.
	* src/interp/i-output.boot, src/interp/i-toplev.boot,
	src/interp/msgdb.boot: Call ioHook.

2008-01-22  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/util.lisp: build-interpsys(): Initialize flag
	variables for ECL.
	* src/interp/setq.lisp: Default $createLocalLibDb to nil
	(for AXIOMsys changed in Makefile to t).
	* src/interp/Makefile.in: Adjust.

2008-01-22  Martin Rubey  <martin.rubey@univie.ac.at>
	* contrib/emacs/eaxiom: add a minimalistic script for those that
	want to run only axiom in emacs.

	* contrib/emacs/axiom.el.pamphlet: fix doc typo, update startup
	function
	* src/etc/spadedit.pamphlet: fix doc typo

2008-01-21  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
	    Martin Rubey  <martin.rubey@univie.ac.at>

	* src/interp/patches.lisp: Allow symbols as arguments to
	cd command.

2008-01-21  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
            Martin Rubey  <martin.rubey@univie.ac.at>

	* src/interp/util.lisp: Attach 'spad-system-error-handler' to
	*debugger-hook* (needed to trap Ctrl-C in sbcl).

2008-01-21  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/algebra/lingrob.spad.pamphlet: Docstring for computeBasis
	and warning for LGROBP (#284), thanks Waldek and Ralf

2008-01-20  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/Makefile.in: When using cached Lisp build algebra
	in a single Lisp image.

2008-01-19  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/hyper/dialog.pamphlet, src/hyper/keyin.pamphlet: Fix #149,
	thanks to Gregory Vanuxem

2008-01-19  Ralf Hemmecke  <ralf@hemmecke.de>

	* configure.ac: Fix test for makeindex.

2008-01-19  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* configure.ac: Change Axiom to FriCAS.

2008-01-19  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Issue 271.
	* src/interp/i-coerce.boot: retract2Specialization(): ignore
	expressions which do not belong to a field.

2008-01-19  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Issue 410.
	* trunk/src/interp/i-syscmd.boot: displaySpad2Cmd(): when
	displaying abbreviations allow also abbreviations as
	input (like ')abbrev query).

2008-01-19  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Issue 81.
	* src/algebra/newdata.spad.pamphlet: Remove French error
	message.

2008-01-18  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* configure.ac: Reject build or source directory names
        containing spaces.

2008-01-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/etc/Makefile.in: Fix database dependency for
	parallel build.

2008-01-15  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/algebra/unittest.spad.pamphlet, src/input/Makefile.in,
	src/input/bugs2007.input.pamphlet,
	src/input/i-bugs2007.input.pamphlet: Convert bugs2007.

2008-01-14  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/op.spad.pamphlet: Revert change from 2007-12-24
	(revision 163).  Treat 'Gamma' like other operators.
	* src/algebra/tex.spad.pamphlet: Print 'Gamma' as Greek
	letter.

2008-01-14  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/algebra/Makefile.in, src/algebra/exposed.lsp.pamphlet,
	src/algebra/unittest.spad.pamphlet, src/input/Makefile.in,
	src/input/bugs2008.input.pamphlet,
	src/input/i-bugs2008.input.pamphlet: add new unittesting
	facility.  Convert bugs2008 to use it.  Add new file i-bugs2008
	for interpreter bugs.

2008-01-13  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/fnew.meta: getSemanticForm: use FUNCALL instead
	of EVAL.
	* src/interp/fnewmeta.lisp: regenerate.

2008-01-13  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	Fix Bug SF/1790563
	* i-output.boot.pamphlet (outputDomainConstructor): Fix
	thinko -- do not try to compute CAR of a vector.

2008-01-10  Martin Rubey  <martin.rubey@univie.ac.at>
	    Gabriel Dos Reis  <gdr@cs.tamu.edu>
	
	* /src/algebra/bags.spad: From open-axiom-patches, 2007-12-16, Fix
	SF/1850100. Implement parts$Stack, map$Stack, map!$Stack. add
	regression test (#415)

	* mappkg.spad.pamphlet: From open-axiom-patches, 2007-11-12, avoid
	old-style import form.

2008-01-09  Martin Rubey  <martin.rubey@univie.ac.at>

	*   src/algebra/fr.spad.pamphlet,
	src/algebra/gdpoly.spad.pamphlet,
	src/algebra/lmdict.spad.pamphlet,
	src/algebra/plot3d.spad.pamphlet, src/algebra/prs.spad.pamphlet,
	src/algebra/sups.spad.pamphlet, src/input/bugs2008.input.pamphlet:
	fix various bugs with return statements missing in loops, add
	regression tests (#413, #414).  Note: the return in unklimint from
	intef was (by mistake) fixed with rev 172 already.

	* src/algebra/exposed.lsp.pamphlet,
	src/input/bugs2008.input.pamphlet: 
	expose PFRPAC, add regression test (#309)

2008-01-08  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/comp.lisp, src/interp/debug.lisp
	src/interp/def.lisp, src/interp/fnew.meta,
	src/interp/fnewmeta.lisp, src/interp/int-top.boot
	src/interp/macros.lisp, src/interp/newaux.lisp
	src/interp/property.lisp, src/interp/spad.lisp:
	Remove useless code.
	* src/interp/fnewmeta.lisp: Regenerate.

2008-01-08  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/algebra/aggcat.spad.pamphlet,
	src/algebra/boolean.spad.pamphlet,
	src/algebra/divisor.spad.pamphlet, src/algebra/ffcg.spad.pamphlet,
	src/algebra/ffpoly.spad.pamphlet, src/algebra/files.spad.pamphlet,
	src/algebra/fraction.spad.pamphlet,
	src/algebra/gpgcd.spad.pamphlet,
	src/algebra/groebsol.spad.pamphlet,
	src/algebra/idecomp.spad.pamphlet,
	src/algebra/intef.spad.pamphlet,
	src/algebra/integer.spad.pamphlet,
	src/algebra/intfact.spad.pamphlet,
	src/algebra/lingrob.spad.pamphlet,
	src/algebra/lodof.spad.pamphlet, src/algebra/mring.spad.pamphlet,
	src/algebra/permgrps.spad.pamphlet,
	src/algebra/pfbr.spad.pamphlet, src/algebra/pfo.spad.pamphlet,
	src/algebra/primelt.spad.pamphlet, src/algebra/rep2.spad.pamphlet,
	src/algebra/si.spad.pamphlet, src/algebra/string.spad.pamphlet:
	replace random()$INT rem s with random(s)$INT where possible and
	similar, add comments to places where strange distributions are
	used.  Deprecate random()$QFCAT and random()$INS. (#227)

2008-01-07  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/algebra/aggcat.spad.pamphlet, src/input/Makefile.in,
	src/input/Makefile.pamphlet: add return statement in =$TBAGG
	(#412), add regression test, adapt Makefiles.

	* src/input/calculus2.input.pamphlet,
	src/input/collect.input.pamphlet, src/input/easter.input.pamphlet,
	src/input/exlap.input.pamphlet, src/input/exsum.input.pamphlet,
	src/input/grpthry.input.pamphlet, src/input/knot2.input.pamphlet,
	src/input/mountain.input.pamphlet, src/input/pat.input.pamphlet,
	src/input/repa6.input.pamphlet: fix typos, remove
	calculus.input.pamphlet (subset of calculus2.input.pamphlet),
	realclos.input.pamphlet (subset of reclos.input.pamphlet)

	* src/algebra/reclos.spad.pamphlet: make sqrt take a positive
	second argument, since sqrt(x, 0) doesn't make sense.

2008-01-05  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/etc/axiom: Add '-nosman' option.

2008-01-04  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/algebra/aggcat.spad.pamphlet,
	src/algebra/tree.spad.pamphlet, src/input/bugs2007.input.pamphlet:
	fix #183, add regression tests: make member?, every?, any?, =,
	etc. lazy in HOAGG and TREE, to be consistent with definitions
	elsewhere.  Remove duplicate definitions from CLAGG.
	
2007-12-29  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/algebra/combfunc.spad.pamphlet,
	src/algebra/op.spad.pamphlet, src/algebra/sf.spad.pamphlet,
	src/input/bugs2007.input.pamphlet: partially fix #408, add
	regression test

2007-12-24  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/input/bugs2007.input.pamphlet, src/algebra/intpm.spad.pamphlet:
	partially fix #198, add	regression test

	* src/algebra/op.spad.pamphlet: fix display of Gamma in TeX
	output. (#6)

2007-12-19  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
            Arthur C. Ralfs  <arthur@mathbrane.ca>

	Fix MathML hex(10) display problem.
	* src/interp/format.boot: mathObject2String() : new function.
	src/algebra/mathml.spad.pamphlet: stringify(): use it.

2007-12-19  Arthur C. Ralfs  <arthur@mathbrane.ca>

	* src/algebra/mathml.spad.pamphlet: Fix display of derivatives.

2007-12-19  Arthur C. Ralfs  <arthur@mathbrane.ca>

	* src/algebra/mathml.spad.pamphlet: Correct comments.

2007-12-18  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* Makefile.in: instll: use $PREFIX/lib/FRICAS as
	installation directory.  Install 'fricas' as 
	alternative name of user command.

2007-12-18  Arthur C. Ralfs  <arthur@mathbrane.ca>

	* src/algebra/mathml.spad.pamphlet: formatZag():
	correct handling of finite zag.  Upadte commants.

2007-12-16  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* config/var-def.mk, src/boot/Makefile.in,
        src/interp/Makefile.in, src/interp/util.lisp,
        src/interp/vmlisp.lisp, src/lisp/axiom-lisp.lisp,
        src/lisp/axiom-package.lisp: Support bootstrap
	with ECL.

2007-12-15  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/Makefile.in: Simplify.

2007-12-15  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/algebra/aggcat.spad.pamphlet, src/algebra/matcat.spad.pamphlet,
	src/input/bugs2007.input.pamphlet: make RectangularMatrixCategory
	Finite when it is, add regression test

	* src/graph/view2D/graph2d.c.pamphlet,
	src/graph/viewman/makeGraph.c.pamphlet: use correct pointer to
	free arrays. (Gregory Vanuxem and Waldek Hebisch)

2007-12-14  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* configure.ac, src/lisp/axiom-package.lisp,
	src/lisp/axiom-lisp.lisp, src/lisp/Makefile.in,
	src/scripts/document.in, src/boot/Makefile.in,
	src/boot/initial-env.lisp.pamphlet: Support ECL
	in boot subdirectory.

2007-12-14  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/integer.spad.pamphlet: Join PositiveInteger
	to OrderedAbelianSemiGroup.

2007-12-13  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/etc/spadedit: Really rename to spadedit.pamphlet
	* src/etc/Makefile.in: Adjust.

2007-12-06   Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/Makefile.in: Install algebra sources also
	in cached Lisp mode.

2007-12-06  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/etc/spadedit: Rename to spadedit.pamphlet
	* src/etc/Makefile.in: Adjust.

2007-12-05  Martin Rubey  <martin.rubey@univie.ac.at>

	* contrib/emacs/axiom.el.pamphlet: add gnu-emacs mode
	* src/algebra/mantepse.spad.pamphlet: add functionality for
	guessing sequences with a binomial term, allow algebraic numbers, etc.
	* src/algebra/fffg.spad.pamphlet: documentation improvements
	* src/algebra/ssolve.spad.pamphlet: add log to SUPEXPR, various
	minor changes.  Still a hack
	* src/algebra/rec.spad.pamphlet: add getOp and replace getADE by
	getEq and make it work for Recurrences and Differential Equations
	* src/algebra/Makefile.in: make GUESSADE
	* src/algebra/Makefile.pamphlet: adjust, even if unused
	* src/algebra/exposed.lsp.pamphlet: expose GUESSADE

2007-12-05  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/mathml.spad.pamphlet: formatZag(): Handle
	'"..."' as an argument.
	formatZag1(): Likewise.
	formatMml(): Do not eat leading '%%' in names.

2007-12-05  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/etc/Makefile.in: Copy help files.
	* Makefile.in: Create spadhelp subdirectory.
	* src/paste/Makefile.in: Support caching normal .pht
	pages.
	* configure.ac: Likewise.
	* src/scripts/mkdist.sh: Copy (if requested) help files
	and normal .pht pages.

2007-12-05  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
            Martin Rubey  <martin.rubey@univie.ac.at>

	* src/etc/Makefile.in: Install SPADEDIT.
	* src/etc/spadedit: New file.
	* src/interp/i-syscmd.boot: reportOpsFromUnitDirectly():
	Comment out message about ')edit'.
	reportOpsFromLisplib(): Likewise.

2007-12-02  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/util.lisp: axiom-restart(): Disable readline
	for gcl in server mode.

2007-11-28  Bill Page       <bill.page@newsynthesis.org>

	* src/algebra/aggcat.spad.pamphlet: Add default 'parts'
	  to RecursiveAggregate which provides 'members' to
	  BinaryTree and similar domains

2007-11-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-spec1.boot: Move definition of $specialOps
	frome here 
	* src/interp/i-spec2.boot: to here.

2007-11-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/Makefile.in:makeint.lisp: echo commands.
	* src/interp/nlib.lisp: Add ECL variants of some functions.
	* src/interp/util.lisp: Likewise.
	* src/interp/vmlisp.lisp: Likewise.
	* src/lisp/axiom-lisp.lisp: Likewise.

2007-11-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/parsing.lisp: pop-stack-1 (): For openmcl
	define as a function.

2007-11-20  David Einstein  <Deinst@gmail.com>

	* src/hyper/event.pamphlet, 
	src/graph/view2D/process2d.c.pamphlet,
	src/graph/view3D/process3d.c.pamphlet: Put parentheses
	around FD_ISSET.

2007-11-10  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/patches.lisp: spool(): convert filename
	to string (if needed).

2007-11-08  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/sf.spad.pamphlet: pi(): coerce result to
	double.

2007-11-05  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/lisp/axiom-lisp.lisp: Turn on ANSI compliance for
	clisp.

2007-11-02  Bill Page  <bill.page1@synthesis.anikast.ca>

	* src/algebra/catdef.spad.pamphlet: enumerate(): new
	function.
	* src/algebra/product.spad.pamphlet : implement
	'index', 'lookup', 'random' and 'hash'.
	* src/algebra/vector.spad.pamphlet: Likewise.
	* src/algebra/Makefile.in: Adjust.
	* src/input/bugs2007.input.pamphlet : Add tests.

2007-11-01  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

 	* src/lib/*.c.pamphlet: Unwrap and replace by the
        corresponding .c file.
 	* src/lib/Makefile.in: Adjust.

2007-11-01  Alfredo Portes  <alfredo.portes@gmail.com>

	* src/hyper/pages/man0.ht: Change AXIOM to FriCAS.

2007-11-01  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/lib/axiom.xpm.pamphlet: Remove.
	* src/lib/emupty.c.pamphlet: Likewise.
	* src/lib/ChangeLog: Likewise.

2007-10-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
            Martin Rubey  <martin.rubey@univie.ac.at>

	* src/algebra/curve.spad.pamphlet: kmin should not fail, adjust.
	Remove duplicate export of represents.
	* src/algebra/ffcat.spad.pamphlet: conditionP(): only test
	for empty?
	* src/algebra/lodo.spad.pamphlet: nonTrivial?(): remove.
	killer(): use empty? instead of find(nonTrivial?...)

2007-10-24  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
            Martin Rubey  <martin.rubey@univie.ac.at>

	* src/algebra/matfuns.spad.pamphlet: nullSpace(): when result
	has dimension 0 return empty list (insted of one element list
	containing zero vector).
	* src/algebra/curve.spad.pamphlet: Adjust.
	* src/algebra/lindep.spad.pamphlet: Likewise.
	* src/algebra/naalg.spad.pamphlet: Likewise.

2007-10-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/util.lisp: boot-load(): quote |on|.

2007-10-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-output.boot: output(): When taking Aldor branch
	make sure that the function is not a symbol.
	* src/input/bugs2007.input.pamphlet: Add tests.

2007-10-16  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/nruncomp.boot: NRTassocIndex(): Use CAR insted
	of implicit ELT.
	* src/lisp/axiom-lisp.lisp: axiom-probe-file(): Make it
	gcl 2.7.0 compatible.

2007-10-16  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/lisplib.boot: $printLoadMsgs now takes "on" and
	"off" values.
	* src/interp/util.lisp: Likewise.
	* src/interp/bootfuns.lisp: Likewise. Remove printLoadMessages.
	* src/interp/setvart.boot: Replace $printLoadMessages by
	$printLoadMsgs.

2007-10-16  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/radix.spad.pamphlet: intgroup() : Test for
	big radix when emiting single digit.

2007-10-16  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/osyscmd.boot: Change SPAD_READER to 
	SPAD__READER.

2007-10-15  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/setvart.boot: Change autoload setting to 
	LITERALS.

2007-10-15  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/boot/ptyout.boot.pamphlet: Add output argument to
	BOOTTOCLC and BOOTTOCLLINES.  Update cached Lisp.
	* src/scripts/document.in: Pass output argument to BOOTTOCLC.
	* src/interp/util.lisp: Add output argument to 'boottocl'.
	* src/interp/Makefile.in: Avoid copying .boot files -- directly
	use source files.

2007-10-15  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/*.boot.pamphlet: Unwrap and replace by the
	corresponding .boot file.
	* src/interp/*.lisp.pamphlet: Likewise.
	* src/interp/fnew.meta: Add unwraped old parser source.
	* src/interp/Makefile.in: Adjust.

2007-10-15  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/boot/ptyout.boot.pamphlet: Use replace IN_-PACKAGE
	by setCurrentPackage when package is variable.

2007-10-14  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/bookvol5.pamphlet: Remove all code, move to
	* src/interp/util.lisp.pamphlet: here
	* src/interp/vmlisp.lisp.pamphlet: and here.
	* src/interp/Makefile.in: Adjust.

2007-10-14  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/*.boot.pamphlet: Move documentation into code
	parts.

2007-10-14  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/nruntime.boot.pamphlet: Remove, move content to
	* src/interp/interop.boot.pamphlet: here
	* src/interp/lisplib.boot.pamphlet: and here.
	* src/interp/Makefile.in: Adjust.

2007-10-14  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/nci.lisp.pamphlet: Remove, move content to
	* src/interp/int-top.boot.pamphlet: here
	* src/interp/i-toplev.boot.pamphlet: and here
	* src/interp/osyscmd.boot.pamphlet: and here
	* src/interp/vmlisp.lisp.pamphlet: and here.
	* src/interp/Makefile.in: Adjust.

2007-10-14  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/*.lisp.pamphlet: Move documentation into code
	parts.
	* src/interp/util.lisp.pamphlet: Remove 'fc' and 'fe'.

2007-10-13  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/property.lisp.pamphlet: Remove useless or
	redundant settings. Move some entries to
	* src/interp/def.lisp.pamphlet: here
	* rc/interp/spad.lisp.pamphlet: and here.

2007-10-11  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/*: Replace ASSOC, LAST, READ_-LINE by lowercase
	version.  Replace READ by VMREAD and lastNode by LASTNODE.
	* src/interp/property.lisp.pamphlet: Remove now useless renames.

2007-10-11  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/def.lisp.pamphlet: Remove redundant MAKEPROP
	calls, move the only non-redundant case to
	* src/interp/property.lisp.pamphlet: here.
	* src/interp/g-util.boot.pamphlet: Change LASTPAIR to LASTNODE.
	* src/interp/i-intern.boot.pamphlet: Likewise.
	* src/interp/vmlisp.lisp.pamphlet: Remove definition of lastpair,
	change call to lastpair to LASTNODE.  Spell lastnode in all caps.

2007-10-10  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/Makefile.in: Clean up.

2007-10-10  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/boo-nilcat.spad: Remove non-existent constructors.
	* src/algebra/boo-nildom.spad: Likewise.

2007-10-09  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/clef/Makefile.in: Add dependency on libspad.a.
	* src/graph/view2D/Makefile.in: Likewise.
	* src/graph/view3D/Makefile.in: Likewise.
	* src/graph/viewAlone/Makefile.in: Likewise.
	* src/graph/viewman/Makefile.in: Likewise.
	* src/hyper/Makefile.in: Likewise.
	* src/sman/Makefile.in: Likewise.

2007-10-09  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/lisp/axiom-lisp.lisp.pamphlet: Move content to
	* src/lisp/axiom-lisp.lisp: and
	* src/lisp/axiom-package.lisp:
	* src/lisp/Makefile.in: Adjust.
	* src/lisp/Makefile.pamphlet: Remove.

2007-10-04  Stephen Wilson  <wilsons@multiboard.com>

	* src/interp/compiler.boot.pamphlet: FreeList(): treat as
	free only symbols having a mode.

2007-10-03  Arthur C. Ralfs  <arthur@mathbrane.ca>

	* src/algebra/mathml.spad.pamphlet: New file -- add MathMLFormat
	domain.
	* src/interp/i-output.boot.pamphlet: Use it to support Math ML
	output.
	* src/interp/setvart.boot.pamphlet: Add Math ML output to user
	settings.
	* src/interp/setvars.boot.pamphlet: Likewise.
	* src/algebra/exposed.lsp.pamphlet: Adjust.
	* src/algebra/Makefile.in: Adjust.

2007-10-02  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
            Gregory Vanuxem  <g.vanuxem@wanadoo.fr>

	* src/lib/sockio-c.c.pamphlet: connect_to_local_server(): repeat
	connect when errno == EBADF.

2007-10-01  Gregory Vanuxem  <g.vanuxem@wanadoo.fr>

	* configure.ac: On Cygwin declare CYGWINplatform
	* Makefile.in: Make install phony.
	* src/graph/view2D/Makefile.in: Add $(EXEEXT) to view2D.
	* src/hyper/hyper.pamphlet: Add CYGWINplatform to conditional.
	* src/hyper/Makefile.in: Add $(EXEEXT) to hthits.  Remove
	$(EXEEXT) from htsearch.

2007-10-01  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* configure.ac: Build libspad.so for Clisp.
	* src/interp/ffi-func2.lisp: New file.
	* src/interp/Makefile.in: Add rule to copy ffi-func2.lisp to
	autoload directory.
	* src/interp/bookvol5.pamphlet: For Clisp load libspad.so
	and ffi-func2.lisp.

2007-09-30  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/sman/sman.c.pamphlet: sman_catch_signals(): Use SIGABRT
	(instead of SIGIOT) if available.

2007-09-29  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* configure.ac: SOLIB_FLAGS: new variable, set to correct
	value for Darwin.
	* src/lib/Makefile.in: Use it.

2007-09-28  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* configure.ac: --enable-gcl: replace withwal by
        enableval.  Do not search for Lisp if --enable-gcl=yes.

2007-09-27  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/hyper/pages/releaseNotes.ht, src/hyper/pages/ug.ht,
	src/hyper/pages/ug00.ht, src/hyper/pages/ug15.ht:
	Update release info.

2007-09-27  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Make more thorough name change.

2007-09-26  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/modgcd.spad.pamphlet: Comment out junk line.

2007-09-26  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/interp-proclaims.lisp: Regenerate.

2007-09-22  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/scripts/mkdist.sh: Look for README, not for README.wh

2007-09-22  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/lisp/Makefile.in: For gcl turn sgc off.

2007-09-18  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* configure.ac: Trigger build of shared libspad for sbcl.
	* src/lib/Makefile.in: Add rules for building shared libspad.
	* src/lisp/axiom-lisp.lisp.pamphlet: Set sbcl default
	external encoding to LATIN-1
	* src/interp/Makefile.in: Add rules for ffi-func.
	* src/interp/ffi-func.lisp: New file.
	* src/interp/bookvol5.pamphlet: axiom-restart(): Dynamically load
	libspad.so and ffi-func.fasl at startup if available.
	* src/interp/pathname.boot.pamphlet: pathname(): support
	symbols as names.
	* src/interp/sockio.lisp.pamphlet: rename |sockGetString| to
	|sockGetStringFrom|, make it GCL specific and change it to allocate
	resulting string.
	* src/interp/server.boot.pamphlet: executeQuietCommand(): use
	|sockGetStringFrom| insted of |sockGetString|.
	serverReadLine(): Likewise, do not test for IS_-CONSOLE.
	* src/interp/vmlisp.lisp.pamphlet: IS-CONSOLE(): recognize
	synonums of *terminal-io*.
	* src/paste/Makefile.in: Set LC_CTYPE to ISO-8859-1 during
	build.

2007-09-18  Gabriel Dos Reis  <gdr@cs.tamu.edu>

        From OpenAxiom.
	* setvart.boot.pamphlet (quit): Set value to unprotected,
	as documented.

2007-09-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
            Gabriel Dos Reis  <gdr@cs.tamu.edu>

	Misc cleanups.
	* src/algebra/generic.spad.pamphlet: generic(): correct typo
	* src/algebra/mts.spad.pamphlet: stream(): avoid double
	definition.
	* src/algebra/polset.spad.pamphlet: exactQuo(): use
        exported iexactQuo to avoid double definition.
	* src/algebra/newpoly.spad.pamphlet: Likewise.
	ZToR(), PZToPR(): avoid double definition.
	* src/algebra/pfo.spad.pamphlet: cmult(): export to
	avoid double definition.
	* src/algebra/regset.spad.pamphlet: remove useless definitions
	of decompose.
	* src/algebra/sregset.spad.pamphlet: Likewise.
	* src/interp/br-search.boot.pamphlet: docSearch1(): correct
	number of arguments in call to showNamedConstruct.
	* src/interp/clam.boot.pamphlet: remHashEntriesWith0Count():
	Use fn as function.
        numberOfEmptySlots(): Use NEQ insted of NE.
	* src/interp/fortcall.boot.pamphlet: writeXDR(): Quote string.
	* src/interp/i-output.boot.pamphlet: boxLApp(): correct
	number of arguments in call to appHorizLine.
	* src/interp/metameta.lisp.pamphlet: Declare XNAME.
	* src/interp/pspad2.boot.pamphlet: formatDeftranRepper(): correct
        number of arguments in call to formatDeftran.
        * src/interp/vmlisp.lisp.pamphlet: MACRO-MISSINGARGS(): move
        assignment outside of argument list.
	* src/interp/bootfuns.lisp.pamphlet: Remove useless code.
	* src/interp/bootlex.lisp.pamphlet: Likewise. Declare
	SPADERRORSTREAM.
	* src/interp/i-coerce.boot.pamphlet: Likewise.
	* src/interp/i-eval.boot.pamphlet: Likewise.
	* src/interp/i-util.boot.pamphlet: Likewise.
	* src/interp/metalex.lisp.pamphlet: Likewise.
	* src/interp/nci.lisp.pamphlet: Likewise.
	* src/interp/newaux.lisp.pamphlet: Likewise. Declare 
	|PARSE-NewKEY| before use.
	* src/interp/parse.boot.pamphlet: Likewise.
	* src/interp/parsing.lisp.pamphlet: Likewise.
	* src/interp/postpar.boot.pamphlet: Likewise. Correct typo
	InteractiveMode to $InteractiveMode.
	* src/interp/preparse.lisp.pamphlet: Likewise.
	* src/interp/setq.lisp.pamphlet: Likewise.
	* src/interp/setvars.boot.pamphlet: Likewise.
	* src/interp/setvart.boot.pamphlet: Likewise.
	* src/interp/sockio.lisp.pamphlet: Likewise.
	* src/interp/spad.lisp.pamphlet: Likewise.
	* src/interp/util.lisp.pamphlet: Likewise.

2007-09-15  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Do not use pamphlets for build machinery.
	* config/setup-dep.mk: Remove dependency on Makefile.pamphlet
	and configure.ac.pamphlet.
	* build-setup.sh: Remove pamphlet support.
	* configure.ac: use src/Makefile.in as unique file.
	* src/interp/Makefile.pamphlet: Move warm.data
	* src/algebra/warm.data: to here (new file).
	* src/interp/Makefile.in: Adjust.

2007-09-15  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/catdef.spad.pamphlet: OrderedAbelianSemiGroup
	is now a SemiGroup (not a Monoid)

2007-09-14  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/macros.lisp.pamphlet: macroexpandall(): Be more
	careful checking for lambda form.

2007-09-13  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/iterator.boot.pamphlet: getIdentity(): return
	"nil" if the THETA property in NIL.

2007-09-13  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/hyper/hyper.pamphlet: Clean socket on hypertex exit.

2007-09-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/sman/sman.c.pamphlet: Clean socket on hypertex exit.

2007-09-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/etc/Makefile.pamphlet: Install axiom script when
	using cached Lisp.

2007-09-05  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/scripts/mkdist.sh: New file -- helper script to
	create distributions.
	* src/algebra/Makefile.pamphlet: Add support for cached Lisp.
	* src/etc/Makefile.pamphlet: Likewise.
	* src/paste/Makefile.pamphlet: Add support for cached images
	and graphic .pht files.
	* configure.ac.pamphlet: Detect cached files.
	* src/interp/patches.lisp.pamphlet: Add back HyperDoc support
	functions.


2007-09-01  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/input/mobius.input: New file.
	* src/paste/Makefile.pamphlet: Add rule to generate
	mobius.VIEW.  Add real clean rule.

2007-08-31  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/graph/Gdraws/Makefile.pamphlet: Change PSfiles to
	PSFiles (corret typo).

2007-08-29  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/macros.lisp.pamphlet: setandfileq(): Use
	defparameter insted of setq.
	* src/interp/vmlisp.lisp.pamphlet: SETANDFILE(): Likewise.

2007-08-29  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/intint.lisp.pamphlet: Remove, move code to
	* src/interp/int-top.boot.pamphlet: here
	* src/interp/i-syscmd.boot.pamphlet: and here
	* src/interp/i-toplev.boot.pamphlet: and here
	* src/interp/nci.lisp.pamphlet: and here
	* src/interp/osyscmd.boot.pamphlet: and here
	* src/interp/pf2sex.boot.pamphlet: and here
	* src/interp/patches.lisp.pamphlet: and here.  Remove usesless
	code.
	* src/interp/vmlisp.lisp.pamphlet: Remove usesless code. Move
	SUBSTQ to macros.lisp.pamphlet.
	* src/interp/macros.lisp.pamphlet: Likewise.
	* src/interp/Makefile.pamphlet: Adjust.

2007-08-28  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/define.boot.pamphlet: Remove useless code.
	* src/interp/interop.boot.pamphlet: Likewise.
	* src/interp/nruncomp.boot.pamphlet: Likewise.
	* src/interp/nrunfast.boot.pamphlet: Likewise.
	* src/interp/nrungo.boot.pamphlet: Likewise.
	* src/interp/setq.lisp.pamphlet: Likewise.
	* src/interp/template.boot.pamphlet: Likewise.
	* src/interp/util.lisp.pamphlet: Likewise.
	* src/interp/wi2.boot.pamphlet: Likewise.

2007-08-26  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/lisp/axiom-lisp.lisp.pamphlet: Supress Clisp startup
	banner.  Supress searching "./lisp" directory tree.

2007-08-26  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/vmlisp.lisp.pamphlet: Remove shoeConsole,
	shoeInputFile and AXIOM-MEMBER.
	* src/interp/g-util.boot.pamphlet: Replace AXIOM-MEMBER by
	member.
	* src/interp/intfile.boot.pamphlet: Remove.
	src/interp/Makefile.pamphlet: Adjust.  Remove rule on
	DOCFILES.
	* src/interp/spad.lisp.pamphlet: Remove unused functions and
	variables.
	* src/interp/bootfuns.lisp.pamphlet: Remove $lisp2lispRenameAssoc
	and $spadOpList.
	* src/interp/cfuns.lisp.pamphlet: Remove findString  and
	findStringInFile.

2007-08-26  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Misc ports from OpenAxiom.
	* src/interp/vmlisp.lisp.pamphlet: Move parsing function from here
	* src/interp/cparse.boot.pamphlet: to here.
	* src/interp/ht-root.boot.pamphlet: Correct path to ht.db.

2007-08-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
            Gabriel Dos Reis  <gdr@cs.tamu.edu>

	Port from OpenAxiom: bookvol5 cleanup.
	* src/interp/bookvol5.pamphlet: Remove most of the content
	* src/interp/i-syscmd.boot.pamphlet: moving it here
	* src/interp/int-top.boot.pamphlet: and here
	* src/interp/g-util.boot.pamphlet: and also here
	* src/interp/i-util.boot.pamphlet: makeInitialModemapFrame():
	Move to src/interp/i-syscmd.boot.pamphlet.

2007-08-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Workaround for bug 351.
	* src/algebra/fr.spad.pamphlet:coerce(): Check for zero
	divisors.

2007-08-24  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/Makefile.pamphlet: DOCFILES: Remove unused
	variable.
	* src/interp/varini.boot.pamphlet: Remove unused variables.

2007-08-24  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
            Gabriel Dos Reis  <gdr@cs.tamu.edu>

	Port from OpenAxiom:
	Downcase UNION, DELETE, MEMBER, INTERSECTION, RASSOC and
	REMOVE.  Replace GET by GETL.

2007-08-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/bootfuns.lisp.pamphlet: Remove unused code.
	* src/interp/bootlex.lisp.pamphlet: Likewise.
	* src/interp/category.boot.pamphlet: Likewise.
	* src/interp/cattable.boot.pamphlet: Likewise.
	* src/interp/compat.boot.pamphlet: Likewise.
	* src/interp/hypertex.boot.pamphlet: Likewise.
	* src/interp/nruncomp.boot.pamphlet: Likewise.
	* src/interp/nrunfast.boot.pamphlet: Likewise.
	* src/interp/nruntime.boot.pamphlet: Likewise.
	* src/interp/patches.lisp.pamphlet: Likewise.
	* src/interp/preparse.lisp.pamphlet: Likewise.
	* src/interp/setq.lisp.pamphlet: Likewise.
	* src/interp/spad.lisp.pamphlet: Likewise.
	* src/input/bugs2007.input.pamphlet: Add a test for tracing.

2007-08-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/macros.lisp.pamphlet: make-bf(): Use proper lists to
	represent big floats.
	* src/interp/pf2sex.boot.pamphlet: float2Sex(): Likewise.
	* src/interp/postpar.boot.pamphlet: postBigFloat(): Likewise.
	* src/interp/compat.boot.pamphlet: makeBigFloat(): Remove.

2007-08-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/exposed.lsp.pamphlet: Remove info about NAG routines.

2007-08-23  Bill Page  <bill.page1@synthesis.anikast.ca>
            Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* configure.ac.pamphlet: Do not restrict darwin to powerpc.
	* src/interp/nlib.lisp.pamphlet: *lisp-bin-filetype*: move
	to util.lisp.pamphlet
	* src/interp/util.lisp.pamphlet: *lisp-bin-filetype*: Automatically
	compute OpenMCL fasl extension. Replace *bin-path* by
	*lisp-bin-filetype*.
	

2007-07-28  Stephen Wilson  <wilsons@multiboard.com>

	Port from Axiom/trunk
	* src/algebra/newdata.spad.pamphlet: Fix issue 371.
	* src/input/bugs2007.input.pamphlet: Add tests.

2007-07-28  Franz Lehner  <lehner@finanz.math.tu-graz.ac.at>
            Bill Page  <bill.page1@synthesis.anikast.ca>

	Create MonoidRingCategory.
	* src/algebra/mring.spad.pamphlet: change macro to
	category definition.
	* src/algebra/Makefile.pamphlet: Adjust.
	* src/algebra/boo-cat.input: Likewise.
	* src/algebra/exposed.lsp.pamphlet: Expose MonoidRingCategory.

2007-07-27  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Add script to compare test results.
	* src/scripts/norm-out: new file 

2007-07-19  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
	* src/interp/obey.lisp.pamphlet, src/interp/unlisp.lisp.pamphlet,
	src/interp/debugsys.lisp.pamphlet: Remove.
	* src/interp/incl.boot.pamphlet: Adjust.
	* src/interp/int-top.boot.pamphlet: Likewise.
	* src/interp/vmlisp.lisp.pamphlet: Put few remaining functions
	from unlisp.lisp.pamphlet here, remove unused code.
	* src/interp/Makefile.pamphlet: Adjust.  When building
	interpsys load bookvol5 only once.
	* src/interp/bookvol5.pamphlet: Move few critical functions
	to util.lisp.pamphlet, remove unused code.
	* src/interp/util.lisp.pamphlet: Ditto. Remove support for
	autoloading NAG library.
	* src/interp/bootfuns.lisp.pamphlet: Remove unused variables,
	put $boldString and $normalString names in vertical bars.
	* src/interp/macros.lisp.pamphlet: Adjust.
	* src/interp/patches.lisp.pamphlet: Likewise.
	* src/interp/cattable.boot.pamphlet: Remove unused code.
	* src/interp/cformat.boot.pamphlet: Likewise.
	* src/interp/g-util.boot.pamphlet: Likewise.
	* src/interp/i-syscmd.boot.pamphlet: Likewise.
	* src/interp/i-util.boot.pamphlet: Likewise.
	* src/interp/monitor.lisp.pamphlet: Likewise.
	* src/interp/nrunfast.boot.pamphlet: Likewise.
	* src/interp/package.boot.pamphlet: Likewise.
	* src/hyper/event.pamphlet:pSelection: Change type to match use.
	* src/lib/sockio-c.c.pamphlet: connect_to_local_server_new():
	Remove unused function.

2007-07-14  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Remove executable property.

2007-07-13  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Misc fixes for Solaris 10.
	* src/scripts/document.in: quote string for testing.
	* src/lisp/Makefile.pamphlet: axiom-lisp.lisp: correct argument
	order.
	* src/graph/viewman/Makefile.pamphlet: add @axiom_c_runtime_extra@
	* src/hyper/Makefile.pamphlet: Likewise.
	* src/algebra/boot-sum.in: require (at least temporarily) bash.
	
2007-07-11  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/Makefile.pamphlet: Skip bootstrap when re-making.

2007-07-09  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/br-con.boot.pamphlet: Remove duplicate functions.
	* src/interp/br-data.boot.pamphlet: Likewise
	* src/interp/br-op1.boot.pamphlet: Likewise
	* src/interp/br-op2.boot.pamphlet: Likewise
	* src/interp/br-saturn.boot.pamphlet: Likewise
	* src/interp/br-search.boot.pamphlet: Likewise
	* src/interp/br-util.boot.pamphlet: Likewise
	* src/interp/ht-util.boot.pamphlet: Likewise
	* src/interp/hypertex.boot.pamphlet: Likewise
	* src/interp/postpar.boot.pamphlet: Likewise
	* src/interp/define.boot.pamphlet: update compDefineCapsuleFunction
	(so that it maches with version from br-saturn).
	* src/interp/setq.lisp.pamphlet: put $FormalFunctionParameterList
	here.
	

2007-07-07  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Fix build with sbcl.
	* src/algebra/Makefile.pamphlet: Propagate FASLEXT to boot-sum.sh.
	* src/algebra/boot-sum.in: Use FASLEXT.
	* src/interp/bookvol5.pamphlet: axiom-restart: call initroot
	in all Lisps.

2007-07-07  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Clarify copyright and summary.
	* src/etc/copyright: Remove notices which apply only to removed
	parts.  Put FriCAS name here.
	* src/etc/summary: Put FriCAS name here.

2007-07-06  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Misc fixes to hyperdoc pages.
	* src/hyper/pages/rootpage.ht: Remove references to Nag library.
	* src/hyper/pages/ug15.ht: Remove some references to Nag library.
	* src/paste/Makefile.pamphlet: Install viewports and graphic
	.pht files from the gphts rule.
	
2007-07-06  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Fix build failure due to file removals.
	* src/hyper/Makefile.pamphlet: Adjust.
	* src/input/Makefile.pamphlet: Adjust.

2007-07-06  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	New algebra bootstrap (fixes algebra breakage due to file
	removals).
	* src/algebra/Makefile.pamphlet: Add new bootstap rules.
	* src/algebra/boot-sum.in: New file.
	* src/algebra/boo1.input: New file.
	* src/algebra/boo2.input: New file.
	* src/algebra/boo3.input: New file.
	* src/algebra/boo4.input: New file.
	* src/algebra/boo5.input: New file.
	* src/algebra/boo6.input: New file.
	* src/algebra/boo-nilcat.spad: New file.
	* src/algebra/boo-nildom.spad: New file.
	* src/algebra/bootstrap.spad: New file.
	* src/algebra/boo-cat.input: New file.
	* src/algebra/boo-dom1.input: New file.
	* src/algebra/boo-dom2.input: New file.
	* src/algebra/boo-pack1.input: New file.
	* src/algebra/boo-pack2.input: New file.
	* src/algebra/algext.spad.pamphlet: Make type of coordsQF explicit
	(works around bootstrap problem).
	* src/algebra/algcat.spad.pamphlet: Make type of mat0 explicit.
	* src/interp/patches.lisp.pamphlet: Call makeConstructorsAutoLoad
	on restart
	* src/share/algebra/category.daase: Empty database (replaces old
	version).
	* src/share/algebra/compress.daase: Likewise.
	* src/share/algebra/interp.daase: Likewise.
	* src/share/algebra/topics.data: Add back here (was in src/doc).
	* src/etc/Makefile.pamphlet: Adjust.

2007-07-05  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Fix interp build (broken due to massive file removals)
	* build-setup.sh: Adjust.
	* src/interp/Makefile.pamphlet: Likewise.
	* src/share/doc/msgs/s2-us.msgs: Likewise.
	* src/lib/pixmap.c.pamphlet: Likewise.
	* configure.ac.pamphlet: Likewise.

2007-07-05  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Transfered to FriCAS repository.  Updated README.wh
	and startup banner.

2007-06-27  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-output.boot.pamphlet: Move width calculation
	back to Boot code.
	* src/interp/unlisp.lisp.pamphlet: The same.

2007-06-26  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/lisp/axiom-lisp.lisp.pamphlet: Always install new
	sbcl toplevel, init parameters from it. Set
	*read-default-float-format* to 'double-float.

2007-06-26  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/input/bugs2007.input.pamphlet: New test file.
	* src/input/Makefile.pamphlet: Run new file.

2007-06-24  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-coerfn.boot.pamphlet: Fix issue 83.

2007-06-24  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/fname.pamphlet: fix |fnameReadable?| in sbcl

2007-06-16  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/vmlisp.lisp.pamphlet: Speed up LIST2VEC in gcl.

2007-06-15  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* Makefile.pamphlet: Really eliminate NOISE.
	* src/interp/Makefile.pamphlet: Likewise.
	* src/doc/Makefile.pamphlet: Likewise.

2007-06-14  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Misc speedups.
	* src/algebra/elemntry.spad.pamphlet: iexp$EF: detect
	early that specialTrigs will not apply.
	* src/algebra/op.spad.pamphlet: =$BOP: if operators are EQ
	return true.
	* src/algebra/float.spad.pamphlet: =$FLOAT: if numbers
	have equal exponents just compare mantissas.
	* src/algebra/gdpoly.spad.pamphlet: Compute degree directly.
	* src/algebra/vector.spad.pamphlet: Use explicit loop for
	comparison.

2007-06-14  Gregory Vanuxem  <g.vanuxem@wanadoo.fr>

	* src/interp/spaderror.lisp.pamphlet: Use '~a' format to
	print errors.

2007-06-14  Martin Rubey  <martin.rubey@univie.ac.at>

	* src/algebra/special.spad.pamphlet: correct documentation.

2007-06-14  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* config/var-def.mk: eliminate NOISE.
	* Makefile.pamphlet: eliminate NOISE and int directory.
	* src/algebra/Makefile.pamphlet: Likewise.
	* src/doc/Makefile.pamphlet: Likewise.
	* src/etc/Makefile.pamphlet: Likewise.
	* src/graph/Makefile.pamphlet: Likewise.
	* src/input/Makefile.pamphlet: Likewise.
	* src/interp/Makefile.pamphlet: Likewise.
	* src/Makefile.pamphlet: Likewise.
	* src/scripts/find-algebra-files: Adjust.

2007-06-14  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/lisp/axiom-lisp.lisp.pamphlet: When changing directory
	with sbcl also change *default-pathname-defaults*

2007-06-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>  

	* src/interp/vmlisp.lisp.pamphlet: EMBED(): coerce lambda
	list to function.

2007-06-07  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/i-syscmd.boot.pamphlet: replace GETENV by
	getEnv

2007-06-06  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/Makefile.pamphlet: Avoid compiling constructors
	twice if bootstrap is rerun.

2007-06-05  Martin Rubey  <martin.rubey@univie.ac.at>

	* combfunc.spad.pamphlet: Correct sign of derivative of
	besselK (issue 355), leave derivatives of Bessel functions
	with respect to parameter unevaluated, signal error when
	polygamma(n, x) is differentiated in n.

2007-06-05  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/fspace.spad.pamphlet: Fix issue 338.

2007-05-31  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/spad.lisp.pamphlet,
	src/interp/varini.boot.pamphlet,
	src/interp/i-syscmd.boot.pamphlet,
	src/interp/i-toplev.boot.pamphlet,
	config/var-def.mk, README.wh,
	configure.ac.pamphlet: Minor cleanups.

2007-05-28  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/lisp/axiom-lisp.lisp.pamphlet: Add eval-when to require
	declaration.

2007-05-27  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* configure.ac.pamphlet: add --with-lisp-flavor option
	* src/interp/daase.lisp.pamphlet: localdatabase: simplify
	directory search.
	* src/interp/cfuns.lisp.pamphlet: Move support funtions to
	axiom-lisp.lisp.
	* src/interp/nlib.lisp.pamphlet: Likewise.
	* src/lisp/axiom-lisp.lisp.pamphlet: find out openmcl kernel
	name.
	* src/lisp/Makefile.pamphlet: compile axiom-lisp.lisp

2007-05-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* Makefile.pamphlet: Small fix.
	* src/algebra/Makefile.pamphlet: Likewise.
	* src/lisp/Makefile.pamphlet: Likewise.
	* src/interp/interp-proclaims.lisp: Make content conditional
	on :GCL
	
2007-05-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* configure.ac.pamphlet: Add partial openmcl support.
	* src/interp/bookvol5.pamphlet: Likewise.
	* src/interp/daase.lisp.pamphlet: Likewise.
	* src/interp/nlib.lisp.pamphlet: Likewise.
	* src/interp/spad.lisp.pamphlet: Likewise.
	* src/interp/vmlisp.lisp.pamphlet: Likewise.
	* src/lisp/axiom-lisp.lisp.pamphlet: Likewise.
	* src/lisp/Makefile.pamphlet: Likewise.
	* src/scripts/document.in: Likewise.
	* src/interp/util.lisp.pamphlet: Revert previous change.
	* README.wh: update.

2007-05-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Support building algebra with clisp. sbcl fixes.
	* src/interp/br-data.boot.pamphlet: Avoid deleting possibly
	nonexistent files.
	* src/interp/comp.lisp.pamphlet: silence warnings when
	compiling user files.
	* src/interp/Makefile.pamphlet: silence Lisp loading messages
	in AXIOMsys.
	* src/interp/lisplib.boot.pamphlet: Likewise. 
	* src/interp/util.lisp.pamphlet: comment out useless assignment.
	* src/interp/newfort.boot.pamphlet: fortran2Lines1(): use
	make_spaces.
	* src/interp/pathname.boot.pamphlet: deleteFile: just call
	DELETE-FILE.
	* src/interp/nlib.lisp.pamphlet: Add support routines for
	clisp and sbcl.  Move some of then to axiom-lisp.lisp.pamphlet.
	* vmlisp.lisp.pamphlet: Move some support routines to
	axiom-lisp.lisp.pamphlet.
	* src/lisp/axiom-lisp.lisp.pamphlet: Put here new support routines.
	* src/interp/spaderror.lisp.pamphlet: Add Ansi error handling.
	* src/interp/bookvol5.pamphlet: Likewise.
	* src/interp/i-output.boot.pamphlet: Compute WIDTH more
	precisely, use double precision log.
	* src/interp/unlisp.lisp.pamphlet: axiom_log_10, make_spaces
	: new functions.  Use doubles in axiom_log_10 and log10.

2007-05-22  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
	    Juergen Weiss

	* src/interp/cattable.boot.pamphlet: Remove unused code.
	* src/interp/clam.boot.pamphlet: Likewise.
	* src/interp/compiler.boot.pamphlet: Likewise.
	* src/interp/database.boot.pamphlet: Likewise.
	* src/interp/define.boot.pamphlet: Likewise.
	* src/interp/functor.boot.pamphlet: Likewise.
	* src/interp/g-cndata.boot.pamphlet: Likewise.
	* src/interp/i-analy.boot.pamphlet: Likewise.
	* src/interp/i-intern.boot.pamphlet: Likewise.
	* src/interp/i-toplev.boot.pamphlet: Likewise.
	* src/interp/macros.lisp.pamphlet: Likewise.
	* src/interp/package.boot.pamphlet: Likewise.
	* src/interp/slam.boot.pamphlet: Likewise.
	* src/interp/setq.lisp.pamphlet: Likewise.
	* src/interp/setvars.boot.pamphlet: Likewise.
	* src/interp/spad.lisp.pamphlet: Likewise.
	* src/interp/sys-pkg.lisp.pamphlet: Likewise.
	* src/interp/template.boot.pamphlet: Likewise.
	* src/interp/varini.boot.pamphlet: Likewise.
	* src/interp/vmlisp.lisp.pamphlet: Likewise.
	* src/interp/wi2.boot.pamphlet: Likewise.
	* src/interp/unlisp.lisp.pamphlet: Comment out unused code.

2007-05-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Fix build with ANSI GCL.
	* wh-sandbox2/src/lisp/axiom-lisp.lisp.pamphlet: For GCL export
	LISP::LAMBDA-CLOSURE.
	* src/interp/daase.lisp.pamphlet: Use explicit package for
	GCL-only symbols.
	* src/interp/nlib.lisp.pamphlet: Likewise.
	* src/interp/sockio.lisp.pamphlet: Likewise.
	* src/interp/unlisp.lisp.pamphlet: Likewise.
	* src/interp/vmlisp.lisp.pamphlet: Likewise.
	* src/interp/cfuns.lisp.pamphlet: Likewise. Remove getEnv.
	* src/interp/foam_l.lisp.pamphlet: Change system to OBEY.
	* src/interp/hash.lisp.pamphlet: Use hash-table-test.
	
2007-05-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/draw.spad.pamphlet: Support build with sbcl.
	* src/algebra/plot3d.spad.pamphlet: Likewise.
	* src/algebra/plot.spad.pamphlet: Likewise.
	* src/algebra/sf.spad.pamphlet: Likewise.
	* src/interp/axext_l.lisp.pamphlet: Likewise.
	* src/interp/bootlex.lisp.pamphlet: Likewise.
	* src/interp/c-util.boot.pamphlet: Likewise.
	* src/interp/daase.lisp.pamphlet: Likewise.
	* src/interp/foam_l.lisp.pamphlet: Likewise.
	* src/interp/fortcall.boot.pamphlet: Likewise.
	* src/interp/ggreater.lisp.pamphlet: Likewise.
	* src/interp/i-output.boot.pamphlet: Likewise.
	* src/interp/metalex.lisp.pamphlet: Likewise.
	* src/interp/monitor.lisp.pamphlet: Likewise.
	* src/interp/nlib.lisp.pamphlet: Likewise.
	* src/interp/parsing.lisp.pamphlet: Likewise.
	* src/interp/patches.lisp.pamphlet: Likewise.
	* src/interp/sockio.lisp.pamphlet: Likewise.
	* src/interp/unlisp.lisp.pamphlet: Likewise.
	* src/interp/vmlisp.lisp.pamphlet: Likewise.
	* src/lisp/axiom-lisp.lisp.pamphlet: Likewise.

2007-05-16  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Eliminate direct use of "LISP" package (use "AXIOM-LISP"
	instead), move support routines to src/lisp/axiom-lisp.lisp.pamphlet.
	* src/lisp/axiom-lisp.lisp.pamphlet: new file.
	* src/interp/vmlisp.lisp.pamphlet: Adjust (use it), add fixes
	for ANSI compliance.
	* src/boot/Makefile.pamphlet: Likewise.
	* src/boot/initial-env.lisp.pamphlet: Likewise.
	* src/input/Makefile.pamphlet: Likewise.
	* src/interp/Makefile.pamphlet: Likewise.
	* src/interp/bookvol5.pamphlet: Likewise.
	* src/interp/bootfuns.lisp.pamphlet: Likewise.
	* src/interp/daase.lisp.pamphlet: Likewise.
	* src/interp/debug.lisp.pamphlet: Likewise.
	* src/interp/i-syscmd.boot.pamphlet: Likewise.
	* src/interp/macros.lisp.pamphlet: Likewise.
	* src/interp/server.boot.pamphlet: Likewise.
	* src/interp/sys-pkg.lisp.pamphlet: Likewise.
	* src/interp/util.lisp.pamphlet: Likewise.
	* src/lisp/Makefile.pamphlet: Likewise.
	* src/scripts/document.in: Likewise.
	
2007-05-15  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* configure.ac.pamphlet: Fix detection of libXpm.

2007-05-08  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
	    Martin Rubey <martin.rubey@univie.ac.at>

	* src/algebra/Makefile.pamphlet: Update documentation.

2007-05-07  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/debugsys.lisp.pamphlet: Fix debugsys build,
	eliminate SYS.
	* config/var-def.mk: Do not define SYS.
	* src/algebra/Makefile.pamphlet: Do not reference SYS.
	* src/interp/Makefile.pamphlet: Likewise.
	* src/interp/bookvol5.pamphlet: Likewise.

2007-05-07  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Compiler speedups.
	* src/interp/compiler.boot.pamphlet: coerceSubset(): reorder
	tests.
	* src/interp/define.boot.pamphlet: compDefineFunctor(): do not
	set $profileCompiler to true.
	* src/interp/Makefile.pamphlet: Set $createLocalLibDb to nil
	during build.

2007-04-30  Bill Page <bill.page1@synthesis.anikast.ca>

	* src/interp/daase.lisp.pamphlet: Merge Mike Thomas
	Windows portabiity patches.
	* src/interp/nlib.lisp.pamphlet: Likewise.
	* src/interp/sys-pkg.lisp.pamphlet: Likewise.
	* src/interp/cfuns.lisp.pamphlet: Likewise.
	* src/lib/cfuns-c.c.pamphlet: Likewise.

2007-04-29  Bill Page <bill.page1@synthesis.anikast.ca>

	Enable build on Windows.

2007-04-29  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/Makefile.pamphlet: Eliminate use of MID (that 
	is int/interp).

2007-04-26  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* configure.ac.pamphlet: Add back support for noweb tarball.
	* Makefile.pamphlet: Likewise.
	* config/var-def.mk: Likewise.

2007-04-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* config/move-if-changed: New file, copy from build-improvements.
	* src/scripts/find-algebra-files: New file, extracted from
	src/Makefile.pamphlet and updated.
	* src/Makefile.pamphlet (all-algebra): Call new scripts.
	* configure.ac.pamphlet: Likewise.
	* src/algebra/Makefile.pamphlet: include extract-spad.mk
	instead of more-rules.mk

2007-04-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/doc/Makefile.pamphlet: Build Axion book with the rest
	of documentation. Skip axiom.bib.
	* configure.ac.pamphlet: Correct Latex problem.
	* src/algebra/numtheor.spad.pamphlet: Likewise.
	* src/algebra/clifford.spad.pamphlet: Replace diagram
	environment by Ascii art.
	* src/booklets/Makefile.pamphlet: Do not mention Rosetta.pamphlet
	as a pamphlet.

2007-04-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/Makefile.pamphlet: Simplify, install algebra
	pamphlet files.

2007-04-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
	    Gregory Vanuxem  <g.vanuxem@wanadoo.fr>
	    Juergen Weiss

	* src/etc/Makefile.pamphlet: Correct filename in documentation.
	* src/algebra/mantepse.spad.pamphlet: Remove last argument to
	testInterpolant.
	* Makefile.pamphlet: stamp-roots: Make $(axiom_targetdir)/algebra/
	directory.
	* src/interp/vmlisp.lisp.pamphlet: Misc fixes for Ansi compatibility,
	portablity and avoiding possible runtime errors.
	* src/algebra/defintrf.spad.pamphlet: Likewise.
	* src/algebra/exposed.lsp.pamphlet: Likewise.
	* src/interp/redefs.boot.pamphlet: Likewise.
	* src/interp/util.lisp.pamphlet: Likewise.
	* src/interp/packtran.boot.pamphlet: Likewise.
	* src/interp/setq.lisp.pamphlet: Likewise.
	* src/interp/macros.lisp.pamphlet: Likewise.
	* src/interp/monitor.lisp.pamphlet: Likewise.
	* src/interp/msgdb.boot.pamphlet: Likewise.
	* src/interp/daase.lisp.pamphlet: Likewise.
	* src/interp/Makefile.pamphlet: Likewise.
	* src/interp/i-spec1.boot.pamphlet: Likewise.
	* src/interp/foam_l.lisp.pamphlet: Likewise.
	* src/interp/sfsfun-l.lisp.pamphlet: Likewise.
	* src/interp/parsing.lisp.pamphlet: Likewise.
	* src/interp/msg.boot.pamphlet: Likewise.
	* src/interp/i-output.boot.pamphlet: Likewise.
	* src/interp/bookvol5.pamphlet: Likewise.
	* src/interp/i-syscmd.boot.pamphlet: Likewise.

2007-04-21  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
	    Gabriel Dos Reis  <gdr@cs.tamu.edu>
	    Humberto Ortiz-Zuazaga <humberto@hpcf.upr.edu>

	Use openpty if available.
	* configure.ac.pamphlet: Detect openpty.
	* src/clef/Makefile.pamphlet: Use openpty if detected.
	* src/lib/openpty.c.pamphlet: Update clef_LDADD.
	
2007-04-20  Bill Page <bill.page1@synthesis.anikast.ca>

	* fix typo !$make in configure

2007-04-20  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* build-setup.sh: Use NOTANGLE environment variable
	as default notangle.
	* configure.ac.pamphlet: Test for Xpm.
	* src/algebra/Makefile.pamphlet: Use FASLEXT, remove
	unused rules and variables.
	* src/etc/Makefile.pamphlet: Use FASLEXT.
	* src/interp/Makefile.pamphlet: Replace SPAD by AXIOM.
	* src/interp/util.lisp.pamphlet: (boottocl): Remove prefix.
	
2007-04-19  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/boot/, src/lib/, src/include/, src/sman/,
	src/graph/: Sync with build-improvemens 506.

2007-04-18  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Eradicate ENV.
	* config/var-def.mk: Define former value of Axiom ENV as
	separate variables.
	* Makefile.pamphlet: Remove definition of ENV and related
	variables.  Remove use of ENV, OBJ, SRC.
	* config/setup-dep.mk: Remove use of ENV, OBJ, SRC 
	* src/Makefile.pamphlet: Likewise.
	* src/input/Makefile.pamphlet: Likewise.
	* src/interp/Makefile.pamphlet: Likewise.
	* src/interp/bookvol5.pamphlet: Likewise.
	* src/graph/Makefile.pamphlet: Likewise.
	* src/algebra/Makefile.pamphlet: Likewise.

2007-04-18  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Avoid needless warnings/messages during build.
	* configure.ac.pamplet: Unconditionally create HyperDoc
	Makefile
	* src/hyper/Makefile.pamphlet (util-ht): Extra target
	* src/Makefile.pamphlet (all-algebra): Add it as dependency.
	* src/interp/htcheck.boot.pamphlet: buildHtMacroTable():
	Correct path to util.ht.
	* src/interp/nruncomp.boot.pamphlet: optDeltaEntry(): Remove
	extra message.

2007-04-11  Gabriel Dos Reis  <gdr@cs.tamu.edu>
	    Bill Page  <bill.page1@synthesis.anikast.ca>

	* configure.ac.pamphlet (axiom_c_runtime_extra): Add
	-lsocket on Solaris plaforms.
	* configure.ac: Regenerate.
	* configure: Likewise.

2007-04-11  Bill Page <bill.page1@synthesis.anikast.ca>

	* merge revision 366 from build-improvements

2007-04-10  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/Makefile.pamphlet: stamp: Skip all-sman and all-book
	if not configured.

2007-04-10  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/scripts/document.in: compile_lisp_file(): Apply
	merge-pathnames to output argument.
	* src/interp/Makefile.pamphlet: Replace OBJEXT by FASLEXT.
	* src/interp/sys-pkg.lisp: Remove nonportable GCL code.
	Add :use clauses to in-package.

2007-04-08  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/free.spad.pamphlet: Fix bug 343.

2007-04-08  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* zips/vmlisp.lisp.pamphlet.patch: Remove


2007-04-08  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* boot/*: Merge changes from build-improvements 485.
	* configure.ac.pamphlet: Likewise.
	* src/scripts/document.in: Likewise.
	* src/interp/vmlisp.lisp.pamphlet: Likewise.
	* src/interp/util.lisp.pamphlet: Likewise.
	* src/interp/patches.lisp.pamphlet: Likewise.
	* src/interp/pspad2.boot.pamphlet: Likewise.
	* src/interp/sys-pkg.lisp.pamphlet: Likewise.
	* src/interp/nocompil.lisp.pamphlet: Likewise.
	* src/interp/def.lisp.pamphlet: Likewise.
	* src/interp/ptrees.boot.pamphlet: Likewise.
	* config/setup-dep.mk: Adjust.
	* config/var-def.mk: Likewise.
	* src/Makefile.pamphlet: Likewise.
	* src/lisp/Makefile.pamphlet: Likewise.
	* src/interp/Makefile: Adjust. Do not use OUT directory.
	Replace separate target rules by pattern rules.

2007-04-07  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/sets.spad.pamphlet: Remove tabs added by
	previous commit.

2007-04-07  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
	    Bill Page  <bill.page1@synthesis.anikast.ca>

	* src/algebra/sets.spad.pamphlet: In ordered case
	sort set after map! (fixes bug 347).

2007-04-06  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/etc/Makefile.pamphlet: Fix documentation build.
	* src/doc/Makefile.pamphlet: Likewise.

2007-04-05  Martin Rubey <martin.rubey@univie.ac.at>

	* src/algebra/combfunc.spad.pamphlet: Update documentation.

2007-04-05  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Port from build-improvements.
	* config/var-def.mk: Remove support for included noweb.
	* configure.ac.pamphlet: Likewise
	* Makefile.pamphlet: Likewise

2007-03-19  Martin Rubey <martin.rubey@univie.ac.at>

	* src/algebra/numtheor.spad.pamphlet: divisors:
	fix issue 340

2007-03-19  Martin Rubey <martin.rubey@univie.ac.at>

	* src/algebra/combfunc.spad.pamphlet: simplify binomial(n, k)
	when k is a nonnegative integer.
	
2007-03-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Make configure and build more robust.
	* build-setup.sh: put notangle output in temporary file
	and move to final position only if succesful
	* config/setup-dep.mk: Likewise
	* configure.ac.pamphlet: signal error if gcl or noweb are needed
	but missing
	* Makefile.pamphlet/$(axiom_build_bindir)/gcl$(EXEEXT): signal
	error if unable to change to gcl directory
	* src/hyper/Makefile.pamphlet: remove directories before
	recursive copy
	* README: point to README.wh
	* README.wh: add installation instructions

2007-03-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Misc ports from build-improvements.
	* src/config/axiom-c-macros.h.in: sync with build-improvements
	378
	* src/config/var-def.mk: add Autoconf variables (libdir and
	bindir)
	* Makefile.pamphlet: install: support DESTDIR
	all-noweb: do not apply noweb.modules.c.patch
	* zips/noweb.modules.c.patch: remove

2007-03-14  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/sman/*: sync with build-improvements 405

2007-03-13  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/Makefile.pamphlet: mostlyclean-local,
	clean-local: really clean

2007-02-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Fix current directory handling.  Remove $current-directory
	variable and all referenctes to it.
	* src/interp/vmlisp.lisp.pamphlet: trim-directory-name: new
	function.
	<getCD>: move to VMLISP package
	* src/interp/sys-pkg.lisp.pamphlet: export get-current-directory
	and trim-directory-name.
	* src/interp/patches.lisp.pamphlet: |cd|: just change directory
	(do not mess with $current-directory).
	do not set $current-directory.
	* src/interp/bookvol5.pamphlet: do not set $current-directory.
	* src/interp/nlib.lisp.pamphlet: get-directory-list: use
	get-current-directory.
	* src/interp/util.lisp.pamphlet: interp-make-directory: remove.
	* src/interp/bootlex.lisp.pamphlet: remove comment referencing
	$current-directory.
	
2007-02-24  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Make the final image independent of cmpinclude.h
	* src/input/Makefile.pamphlet: ${AXIOMSYS}: set 
	compiler::*default-system-p* to nil in final image.

2007-02-20  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/Makefile.pamphlet: Replace src dependency by stamp
	file.  Remove dependency on MID
	* src/input/Makefile.pamphlet: $(MID)/%.output: $(MID)/%.input:
	Use 'systemCommand' only _after_ supressing loading messages.

2007-02-17  Gregory Vanuxem  <g.vanuxem@wanadoo.fr>

	* src/algebra/sf.spad.pamphlet: Use "~A" Lisp format to
	convert floats to strings.  Put minus sign separately.

2007-02-16  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Build depsys using Shoe.
	* src/interp/Makefile.pamphlet: Use bootsys to translate
	depsys boot files.  Do not include c-util in depsys.
	* src/interp/Makefile.in: Regenerate.
	* src/interp/c-util.boot.pamphlet: Remove bootstrap Lisp.
	* src/interp/clam.boot.pamphlet: Adjust for Shoe, remove
	bootstrap Lisp.
	* src/interp/g-boot.boot.pamphlet: Likewise.
	* src/interp/g-util.boot.pamphlet: Likewise.
	* src/interp/interp-proclaims.lisp: Likewise.
	* src/interp/parse.boot.pamphlet: Likewise.
	* src/interp/postpar.boot.pamphlet: Likewise.
	* src/interp/slam.boot.pamphlet: Likewise.
	* src/interp/vmlisp.lisp.pamphlet: AXIOM-MEMBER: new function
	* src/interp/interp-proclaims.lisp: Mention it.
	* src/interp/sys-pkg.lisp.pamphlet: Likewise.
	
2007-02-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
	    Martin Rubey <martin.rubey@univie.ac.at>

	Add guessing package written by Martin Rubey
	* src/algebra/fffg.spad.pamphlet: New file.
	* src/algebra/mantepse.spad.pamphlet: New file.
	* src/algebra/rec.spad.pamphlet: New file.
	* src/algebra/ssolve.spad.pamphlet: New file.
	* src/algebra/Makefile.pamphlet: guess-pkg : new rule.
	stamp: trigger guess-pkg rule.
	* src/algebra/Makefile.in: regenerate.
	* src/algebra/exposed.lsp: expose Guess, GuessOption,
	GuessPolynomial and GuessFinite.
	
2007-02-07  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/aggcat.spad.pamphlet: Remove cached Lisp.
	* src/algebra/array1.spad.pamphlet: Likewise.
	* src/algebra/boolean.spad.pamphlet: Likewise.
	* src/algebra/catdef.spad.pamphlet: Likewise.
	* src/algebra/ffcat.spad.pamphlet: Likewise.
	* src/algebra/fraction.spad.pamphlet: Likewise.
	* src/algebra/fspace.spad.pamphlet: Likewise.
	* src/algebra/integer.spad.pamphlet: Likewise.
	* src/algebra/list.spad.pamphlet: Likewise.
	* src/algebra/outform.spad.pamphlet: Likewise.
	* src/algebra/polset.spad.pamphlet: Likewise.
	* src/algebra/polycat.spad.pamphlet: Likewise.
	* src/algebra/pscat.spad.pamphlet: Likewise.
	* src/algebra/sf.spad.pamphlet: Likewise.
	* src/algebra/si.spad.pamphlet: Likewise.
	* src/algebra/string.spad.pamphlet: Likewise.
	* src/algebra/symbol.spad.pamphlet: Likewise.
	* src/algebra/triset.spad.pamphlet: Likewise.
	* src/algebra/vector.spad.pamphlet: Likewise.

2007-02-07  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/Makefile.in: Regenerate

2007-02-06  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	New algebra bootstrap.
	* src/algebra/Makefile.pamphlet: new bootstrap rules
	* src/interp/bootfuns.lisp.pamphlet: new flag $bootstrapDomains
	* src/interp/setq.lisp.pamphlet: Likwise
	* src/interp/nruncomp.boot.pamphlet: optDeltaEntry(): respect the
	added flag

2007-02-02  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/etc/asq.c.pamphlet: author field changed to 
	conform with Axiom policy.

2007-02-02  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/Lattice.pamphlet: Remove.

2007-02-01  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/setq.lisp.pamphlet: Turn on pretty printing.
	* src/interp/daase.lisp.pamphlet: Likewise.  By default do
	  not compress databases.

2007-02-01  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/etc/asq.c.pamphlet: Replaced by new (rewritten
	  from scratch) version.

2007-01-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/graph/viewAlone/parabola.VIEW: Remove

2007-01-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Fix bug 101
	* src/algebra/laplace.spad.pamphlet: 
	LaplaceTransform.lapkernel: handle derivatives
	LaplaceTransform.locallaplace: supress last rule
	
2007-01-15  Waldek Hebisch  <hebisch@math.uni.wroc.pl>
	    Martin Rubey <martin.rubey@univie.ac.at>

	Fix bug 103
	* src/algebra/polycat.spad.pamphlet:
	FiniteAbelianMonoidRing.exquo: test for zero divisor
	PolynomialCategory.primitivePart: special handling for zero
	argument

2007-01-09  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/graph/*: Remove K&R function declarations

2007-01-06  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/br-data.boot.pamphlet: dbHasExamplePage: Correct
	path to example pages.
	* src/hyper/pages/MSET.ht: Replace MultiSet by Multiset.
	* src/hyper/pages/ug01.ht: Likewise.
	* src/hyper/pages/xmpexp.ht: Likewise.
	* src/hyper/pages/man0.ht: Use full path to htsearch
	* src/hyper/htinp.pamphlet: Use full path to viewAlone.
	* src/hyper/pages/util.ht: Likewise.  Use $AXIOM insead of $SPAD
	* src/hyper/pages/ht.db: Remove.

2007-01-05  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/gaussian.spad.pamphlet: Fix complex
	argument (fixes or works around bugs 15, 47, 184,
	293, 314)
	
2006-12-21  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/intfact.spad.pamphlet: Fix bug 329.

2006-12-12  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/manip.spad.pamphlet: Fix bug 278.

2006-12-09  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/intef.spad.pamphlet: Fix bugs 100 and 308.

2006-12-09  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/intrf.spad.pamphlet: Partial fix for bug 199.

2006-12-09  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/sttaylor.spad.pamphlet: Fix bug 312

2006-12-05  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/efstruc.spad.pamphlet: Fix bug 294 (port
	from silver)
	
2006-12-05  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/graph/Gdraws/Makefile.pamphlet: add X11 includes to
	CFLAGS

2006-12-04  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* Makefile.pamphlet (stamp-rootdirs): Create more directories
	* configure.ac.pamphlet: add 'all-noweb' to dependencies only
	when needed.

2006-12-04  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/input/Makefile.pamphlet: make names of temporary files
	unique (needed for parallel build). Remove references to deleted
	files (fix breakage due to v364).
	* src/paste/Makefile.pamphlet: Add explanation (reference to
	documentation).

2006-12-03  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* Synced with build-improvements v358

2006-12-02  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/paste/Makefile.pamphlet: set subdir, add rule for
	.input files

2006-12-02  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/paste/Makefile.pamphlet: Correct and activate generation
	of .pht files.
	* src/hyper/pages/: remove generated .pht files.

2006-12-01  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/paste: New directory
	* src/paste/Makefile.pamphlet, src/paste/Makefile.in: New
	files
	* configure.ac.pamphlet (SRC_SUBDIRS): add paste directory
	* src/Makefile.pamphlet: recurse to paste directory
	* src/interp/Makefile.pamphlet ($(SAVESYS)): remove useless
	and harmful rule.
	
2006-12-01  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/alql.boot.pamphlet: Add FUNCALL to fix problem
	with previous patch.

2006-11-31  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/alql.boot.pamphlet: getBrowseDatabase: use
	string quotes to access 'member' in shoe

2006-11-31  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/alql.boot.pamphlet: Add package declaration,
	getBrowseDatabase: modify to work with shoe.
	
2006-11-30  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/newdata.spad.pamphlet:
	iprint$InternalPrintPackage: add call to FORCE-OUTPUT

2006-11-30  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/sman/sman.c.pamphlet: Do not mess with terminal on exit.

2006-11-30  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/include/com.h: Add new command code.
	* src/interp/sockio.lisp.pamphlet: Likewise.
	* src/interp/server.boot.pamphlet: serverReadLine: send it.
	* src/sman/session.c.pamphlet: accept_session_connection: 
	Use new code to detect lost race.
	
2006-11-30  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/hyper/parse-types.pamphlet: Do not add ".Z" extension.
	* src/lib/pixmap.c.pamphlet: Atomatically switch between
	compressed and uncompressed pixmaps.

2006-11-30  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/algebra/newdata.spad.pamphlet:
	iprint$InternalPrintPackage: remove useless call to FLUSH

2006-11-28  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/graph/view3D/component3d.c.pamphlet: draw3DComponents():
	reference starting point.

2006-11-26  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/hyper/htinp.pamphlet: strCopy(): call strcpy.

2006-11-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/nag-e02b.boot.pamphlet: Remove duplicate file

2006-11-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/nhyper.boot.pamphlet: Remove useless file.
	* src/interp/Makefile.pamphlet: Remove references to
	nhyper.boot.pamphlet.

2006-11-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/compiler.boot.pamphlet: Update functions to match
	xruncomp.boot.pamphlet
	* src/interp/functor.boot.pamphlet: Likewise.
	* src/interp/info.boot.pamphlet: Likewise.
	* src/interp/modemap.boot.pamphlet: Likewise.
	* src/interp/nruncomp.boot.pamphlet: Likewise.
	* src/interp/Makefile.pamphlet: Remove references to
	xruncomp.boot.pamphlet
	* src/interp/debugsys.lisp.pamphlet: Likewise.

2006-11-25  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/nrunfast.boot.pamphlet: Update functions to match
	xrun.boot.pamphlet, remove unused code.
	* src/interp/nrungo.boot.pamphlet: Likewise.
	* src/interp/nrungo.boot.pamphlet: Likewise.
	* src/interp/nrunopt.boot.pamphlet: Likewise.
	* src/interp/i-funsel.boot.pamphlet: Likewise.
	* src/interp/i-coerce.boot.pamphlet: Likewise.
	* src/interp/i-eval.boot.pamphlet: Likewise.
	* src/interp/clammed.boot.pamphlet: Likewise.
	* src/interp/template.boot.pamphlet: Remove unused functions.
	* src/interp/setq.lisp.pamphlet: set |$noSubsumption| to t.
	* src/interp/xrun.boot.pamphlet: Remove.
	* src/interp/Makefile.pamphlet: Remove references to
	xrun.boot.pamphlet
	* src/interp/debugsys.lisp.pamphlet: Likewise.
	* src/interp/interp-proclaims.lisp: Remove references to
	removed functions.

2006-11-24  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/hyper/lex.pamphlet: spad_error_handler: add back
	return type.

2006-11-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Fix for bug #280.
	* src/interp/br-search.boot.pamphlet: grepConstruct:
	Exit early on errors

2006-11-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/daase.lisp.pamphlet: getdatabase: when
	reporting misses print arguments in consistent order

2006-11-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/interop.boot.pamphlet: Remove unused cached Lisp.
	* src/interp/setvars.boot.pamphlet: Likewise.
	* src/interp/Makefile.pamphlet: Remove reference to cached Lisp.

2006-11-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/hyper/pages/util.ht: Undo change from 2003:
	uncomment \spadcmd and \spadsys, remove leadinig
	parenthesis from \spadsyscom

2006-11-23  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Synced with build-improvements v303

2006-11-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/etc/axiom: Add Axiom binary directory to the PATH
	* src/hyper/search.pamphlet: use -k sort option, fix
	presea script

2006-11-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/daase.lisp.pamphlet (interpOpen): Also clean
	old abbreviations.
	(write-*): remove useless (finish-output) from loops.

2006-11-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Synced with build-improvements v280

2006-11-17  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	Fixes for Spad filehandling.
	* src/algebra/files.spad.pamphlet: Remove checks, add close! to
	Libray exports
	* src/interp/fname.lisp.pamphlet: Use axiom-probe-file
	* src/interp/nlib.lisp.pamphlet (probe-name): Likewise.
	(make-input-filename): Add slash to separate names.

2006-11-16  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/br-data.boot.pamphlet: Clarify comments
	Remove unused functions:
	* src/interp/database.boot.pamphlet: rebuildCDT, buildDatabase,
	* src/interp/parse.boot.pamphlet: specialModeTran
	* src/interp/patches.lisp.pamphlet: |rebuild|
	* src/interp/server.boot.pamphlet: serverLoop
	* src/interp/interp-proclaims.lisp: Remove references to
	removed functions

2006-11-16  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/share/algebra/browse.daase: Replace by
	minimal version
	* src/share/algebra/operation.daase: likewise

2006-11-16  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/postprop.lisp: remove
	* src/interp/Makefile.pamphlet: remove references
	to postprop.lisp
	* debugsys.lisp.pamphlet: likewise
	* property.lisp.pamphlet: uncoment '|xor|' entry
	
2006-11-15  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/lisplib.boot.pamphlet: readLibPathFast:
	activate error checking
	* src/interp/nlib.lisp.pamphlet: fix search for 
	directories
	* src/etc/Makefile.pamphlet: Install USERS.DAASE and
	DEPENDENTS.DAASE

2006-11-15  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/daase.lisp.pamphlet: Clean old data when
	loading databases, make database compression optional.

2006-11-15  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/interp/br-saturn.boot.pamphlet: Explicitly assign
	nil to variables declared 'local'
	* src/interp/category.boot.pamphlet:
	* src/interp/c-doc.boot.pamphlet:
	* src/interp/compiler.boot.pamphlet:
	* src/interp/c-util.boot.pamphlet:
	* src/interp/define.boot.pamphlet:
	* src/interp/functor.boot.pamphlet:
	* src/interp/info.boot.pamphlet:
	* src/interp/i-syscmd.boot.pamphlet:
	* src/interp/iterator.boot.pamphlet:
	* src/interp/i-toplev.boot.pamphlet:
	* src/interp/nruncomp.boot.pamphlet:
	* src/interp/package.boot.pamphlet:
	* src/interp/parse.boot.pamphlet:
	* src/interp/pspad1.boot.pamphlet:
	* src/interp/pspad2.boot.pamphlet:
	* src/interp/record.boot.pamphlet:
	* src/interp/trace.boot.pamphlet:
	* src/interp/varini.boot.pamphlet: Likewise.
	
2006-11-15  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/hyper/spadint.pamphlet: print_source_to_string1():
	more precise diagnostic

2006-11-15  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* src/lib/pixmap.c.pamphlet: read_pixmap_file(): check
	return status of XpmReadFileToImage
	
2006-11-15  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* Makefile.pamphlet: Added '-g' option as compilation
	default.

2006-11-15  Waldek Hebisch  <hebisch@math.uni.wroc.pl>

	* ChanegeLog.wh, README.wh: Created
